<?php
/**
 * The template for displaying Category pages
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */

get_header(); ?>

<?php
$cat_id = get_query_var('cat');
$cat_data = get_option("category_$cat_id");
?>

<?php if ( have_posts() ) : ?>
<div id="h1-primary">
    <div class="container">
        <h1 data-animate="<?php echo get_option( 'animation_line_title' ); ?> animated" class="container <?php echo get_option( 'delay_line_title' ); ?> animation-screen"><?php printf( __( 'Category Archives: %s', 'twentyfourteen' ), single_cat_title( '', false ) ); ?></h1>
        <?php
            // Show an optional term description.
            $term_description = term_description();
            if ( ! empty( $term_description ) ) :
                printf( '<div class="taxonomy-description">%s</div>', $term_description );
            endif;
        ?>  
        <?php the_breadcrumb(); ?>                  
    </div>
</div>

<div class="container" style="margin-bottom:50px;">
	<?php if ($cat_data['sidebar_position'] == 'left') { ?><div id="widget_sidebar" class="vc_col-sm-3 wpb_column vc_column_container "><?php  get_sidebar(); ?></div><?php } ?>
    <div <?php if (($cat_data['sidebar_position'] != 'full') and (strlen($cat_data['sidebar_position']) > 1)) { ?>class="vc_col-sm-9 wpb_column vc_column_container"<?php } ?>>
    <div class="br_top"><?php // the_breadcrumb(); ?></div>
    <div <?php if ($cat_data['list_grid'] == 'timeline') { echo 'class="centred_timeline"'; } ?>>
    
   
        <?php
                // Start the Loop.
				$timeline_colum = 0;
				                
				while ( have_posts() ) : the_post();
    			$timeline_colum++;
				/*
				if ($timeline_colum == 1)
				{
					?>
                    <div class="date_timeline+">
                        <div class="date_post-form-icon"><span class="icon-hex-hole-90"></span></div>
                        <div class="date_post-icon"><span class="icon-hex-hole-90"></span></div>
                        <div class="date_post-text-icon"><br /><span>2015</span></div>
                    </div>
                    <div class="clear_fix"></div>
					<?php
                }
				*/
                /*
                 * Include the post format-specific template for the content. If you want to
                 * use this in a child theme, then include a file called called content-___.php
                 * (where ___ is the post format) and that will be used instead.
                 */
                 
                //damage get_template_part( 'post-format/content', get_post_format() );
                get_template_part( 'post-format/content', '' );
    
                endwhile;

                // Previous/next page navigation.
                //twentyfourteen_paging_nav();
    
            else :
                // If no content, include the "No posts found" template.
                get_template_part( 'content', 'none' );
    
            endif;
        ?>
    </div>
    </div>
    <?php if ($cat_data['sidebar_position'] == 'right') { ?><div id="widget_sidebar" class="vc_col-sm-3 wpb_column vc_column_container "><?php  get_sidebar(); ?></div><?php } ?>
</div>

<?php
get_footer();
