<?php
/**
 * The Header for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */
?>
<?php 
if (is_front_page() || is_home()) { $my_is_home = true; } else { $my_is_home = false; }
if ( ( get_option( 'comming_soon' ) == 'enable' ) and ( $my_is_home == false ) ) { wp_redirect( home_url() ); exit; } ?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
<title>
<?php wp_title( '|', true, 'right' ); ?>
</title>
<!-- Le styles -->
<link href="<?php bloginfo('stylesheet_url');?>" rel="stylesheet">
<link rel="shortcut icon" type="image/x-icon" href="<?php echo wp_get_attachment_url( get_option('favicon_theme')); ?>">
<link rel='stylesheet' id='js_composer_front-css'  href='http://webstarter.com.ua/index_corporate/wp-content/plugins/js_composer/assets/css/js_composer.css?ver=4.4.3' type='text/css' media='all' />

<?php  // Preloader Load Skin CSS
if ( get_option( 'type_preloader' ) != 'none' ) { echo '<link href="'.esc_url( get_template_directory_uri() ).'/template/skin-preloader/'.get_option( 'type_preloader' ).'/style.css" rel="stylesheet">'; }
?>
<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
<!--[if lt IE 9]> 
<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script> 
<![endif]-->
<link href='http://fonts.googleapis.com/css?family=Roboto:400,100,700,900' rel='stylesheet' type='text/css'>
<link href='https://fonts.googleapis.com/css?family=Raleway:400,700' rel='stylesheet' type='text/css'>
<script type="text/javascript">var show_preloader = <?php  if ( get_option( 'type_preloader' ) != 'none' ) { echo "'show';"; } else { echo "'hide';"; } ?>  var show_ajax_load = <?php  if ( get_option( 'show_ajax_load' ) == 'enable_ajax_page' ) { echo "'show';"; } else { echo "'hide';"; } ?>  var animation_to_upscroll = <?php  if ( get_option( 'animation_to_upscroll' ) == 'enable' ) { echo "'enable';"; } else { echo "'none';"; } ?></script>
<?php if (( get_option( 'type_preloader' ) != 'none' ) or ( get_option( 'show_ajax_load' ) == 'enable_ajax_page' )) {  ?>
<?php wp_enqueue_script( 'preloaded-script', esc_url( get_template_directory_uri() ) . '/template/skin-preloader/js/preloader.js', array( 'jquery' ), '', true ); ?>
<?php } ?>
<?php wp_enqueue_script("jquery"); ?>
<?php if ( is_singular() ) wp_enqueue_script( "comment-reply" ); ?>
<?php wp_head(); ?>
<?php include('includes/css.php'); ?>
<?php if ( get_option( 'comming_soon' ) == 'enable' ) {  ?>
        <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/tick/jquery.knob.js"></script>
        <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/tick/jquery.throttle.js"></script>
        <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/tick/jquery.classycountdown.js"></script>
        <link rel="stylesheet" type="text/css" href="<?php echo esc_url( get_template_directory_uri() ); ?>/js/tick/jquery.classycountdown.css" />
<?php }  ?>        
</head>
<body <?php body_class( $class ); ?>>
<div id="mobile_back"></div>
<table id="menu-mobile">
  <tr>
    <td>
      <nav id="primary-navigation-mobile" role="navigation">
        <div id="closed_mobmenu"><a href="#"><i class="fa fa-times"></i></a></div>
      	<div id="mobile_menu_position">
        	<?php // wp_nav_menu( array( 'theme_location' => 'my-top-pages-menu', 'menu_class' => 'nav-menu', 'link_before' => '<span class="sub_space_row">&nbsp;</span><span class="sub_close_row"><i class="fa fa-angle-right"></i></span><span class="sub_open_row"><i class="fa fa-angle-down"></i></span> &nbsp;' ) ); ?>
            <?php  wp_nav_menu( array( 'theme_location' => 'top-pages-menu' ) ); ?>
        </div>
      </nav>
    </td>
  </tr>
</table>
<?php  // Preloader Load Skin HTML
if ( get_option( 'type_preloader' ) != 'none' ) { include('template/skin-preloader/'.get_option( 'type_preloader' ).'/template.php'); }
?>

<?php if ( get_option( 'comming_soon' ) != 'enable' ) { ?>
<header id="header-block"<?php if (( get_option( 'menu_ontop_preloader' ) == 'header-up-preloader' ) or ( get_option( ' menu_fixed ' ) == 'header-fixed' )) { ?> class="<?php if (( get_option( 'menu_ontop_preloader' ) == 'header-up-preloader' ) and ( get_option( ' menu_fixed ' ) == 'header-fixed' )) { ?>header-up-fixed<?php } else { ?><?php echo get_option( 'menu_ontop_preloader' ); ?> <?php echo get_option( 'menu_fixed' ); ?><?php } ?>"<?php } ?>>
<?php if ( get_option( 'comming_soon' ) != 'enable' ) {  ?>
	<?php 
	$show_My_sidebar = true;
	if (get_option( 'show_header_first' ) == 'Yes') { $show_My_sidebar = true; } else { $show_My_sidebar = false; }
	if (get_post_meta($post->ID, 'top_sidebar_show', true) == 'no')  { $show_My_sidebar = false;}
	if ($show_My_sidebar == true)  { 
	?>
    <div id="top-sidebar" <?php echo $style; ?>>
      <div class="container">
        <div id="top_widget_left">
            <?php
                if ( function_exists('dynamic_sidebar') )
                    dynamic_sidebar('top-sidebar');
            ?>
        </div>
            <?php
                if (get_option('show_header_login')) {
                    if ( is_user_logged_in() ) {
                        global $current_user;
                        get_currentuserinfo();
                        echo '<div id="top_user_login"><div class="text_inlog">Hello, ' . $current_user->user_login . ' !</div> <a href="'.get_home_url().'/wp-login.php">'.get_avatar( $user_ID, 28 ).'</a></div>';
                    } else {
                        echo '<div id="top_user_logoff"><a href="'.get_home_url().'/wp-login.php"><div class="hover_signup">Sign In or Sign Up <i class="fa fa-arrow-right"></i></div> <span><i class="fa fa-male"></i><i class="fa fa-child"></i></span></a></div>';
                    }
                }
            ?>
        <div id="top_widget_right">
            <?php
                if ( function_exists('dynamic_sidebar') )
                    dynamic_sidebar('top-sidebar-right');
            ?>
        </div>
        <div class="clear_fix"></div>
      </div>
    </div>
    <?php } ?>
<?php } ?>
<div id="header-middle-block">  
    <?php if ((get_option('logo_header_position') == 'skin2') or ((get_post_meta($post->ID, 'header_skin_custom', true) == 'skin2') and (!is_category()) and (! is_home())) and ( get_option( 'comming_soon' ) != 'enable' )) { $menu_position = 'menu_position_skin2'; $nivelire_fixed_content = 'nivelire-fixed-content'; ?>
            <div id="logo2" <?php data_animate(get_option('animation_for_logo'), get_option('delay_for_logo'), ''); ?>  class="animation-screen animated">
            	<a href="<?php echo get_home_url(); ?>">
					<?php if (strlen(get_option('logo_big_size')) > 0) { ?>
						<table border="0" cellspacing="0" cellpadding="0" align="center" style="margin:0 auto;">
                          <tr>
                            <td><?php echo wp_get_attachment_image( get_option('logo_big_size'), 'full'); ?></td>
                            <td><?php if (get_option('show_logo_and_text') == 'show') { ?><div class="logo_default"><?php echo get_option('blogname'); ?> <span><?php echo get_option('blogdescription'); ?></span></div><?php } ?></td>
                          </tr>
                        </table>
                    <?php } else { ?>
                    	<div class="logo_default"><?php echo get_option('blogname'); ?> <span><?php echo get_option('blogdescription'); ?></span></div>
                    <?php } ?>
                </a>
            </div>
    		<div class="custom_menu_bg"> 
            <div class="container">
            <div id="<?php echo $menu_position; ?>">
              <button class="menu-toggle">
              <i class="fa fa-bars"></i>
              </button>
              <nav id="primary-navigation" <?php data_animate(get_option('animation_for_menu'), get_option('delay_for_menu'), ''); ?> class="site-navigation primary-navigation <?php animation_screen(get_option('animation_for_menu'), true); ?>" role="navigation">
                <?php // wp_nav_menu( array( 'menu' => 'my-top-pages-menu111', 'menu_class' => 'nav-menu', 'after' => '<span class="sub_row_pr"><i class="fa fa-angle-down"></i></span>' ) ); ?>
              	<?php  wp_nav_menu( array( 'theme_location' => 'top-pages-menu', 'menu_class' => 'nav-menu', 'after' => '<span class="sub_row_pr"><i class="fa fa-angle-down"></i></span>' ) ); ?>
              </nav> 
              <div class="clear_fix"></div>
            </div>
			</div>
            </div>         	
    <?php } else { $menu_position = 'menu_position_default'; $nivelire_fixed_content = 'nivelire-fixed-content'; ?>
    <div class="custom_menu_bg">            
            <div class="container">
            <div id="logo" <?php data_animate(get_option('animation_for_logo'), get_option('delay_for_logo'), ''); ?>  class="animation-screen animated">
            	<a href="<?php echo get_home_url(); ?>">
					<?php if (strlen(get_option('logo_in_header')) > 0) { ?>
						<?php echo wp_get_attachment_image( get_option('logo_in_header'), 'full'); ?>
                        <?php if (get_option('show_logo_and_text') == 'show') { ?><div class="logo_default"><?php echo get_option('blogname'); ?> <span><?php echo get_option('blogdescription'); ?></span></div><?php } ?>
                    <?php } else { ?>
                    <div class="logo_default"><?php echo get_option('blogname'); ?> <span><?php echo get_option('blogdescription'); ?></span></div>
                    <?php } ?>
               	</a>
            </div>

                <div id="<?php echo $menu_position; ?>" style="min-height:75px;">
                  <?php if ( get_option( 'comming_soon' ) != 'enable' ) {  ?>
                  <button class="menu-toggle">
                  <i class="fa fa-bars"></i>
                  </button>

                  <nav id="primary-navigation" <?php data_animate(get_option('animation_for_menu'), get_option('delay_for_menu'), ''); ?> class="site-navigation primary-navigation <?php animation_screen(get_option('animation_for_menu'), true); ?>" role="navigation">
                    <?php // wp_nav_menu( array( 'menu' => 'my-top-pages-menu111', 'menu_class' => 'nav-menu', 'after' => '<span class="sub_row_pr"><i class="fa fa-angle-down"></i></span>' ) ); ?>
                    <?php  wp_nav_menu( array( 'theme_location' => 'top-pages-menu', 'menu_class' => 'nav-menu', 'after' => '<span class="sub_row_pr"><i class="fa fa-angle-down"></i></span>' ) ); ?>
                  </nav> 
                  <?php } ?>
                  <div class="clear_fix"></div>
                </div>

			</div>
    </div>
	<?php } ?>   
    </div>
</header>
<?php } ?>

<div id="primary-content" <?php if (( get_option( 'menu_ontop_preloader' ) == 'header-up-preloader' ) or ( get_option( ' menu_fixed ' ) == 'header-fixed' )) { ?> class="<?php echo $nivelire_fixed_content; ?>" <?php } ?>>
