// JavaScript Document
(function() {
	tinymce.PluginManager.add('true_mce_button_featuredicon', function( editor, url ) { // id кнопки true_mce_button должен быть везде один и тот же
		editor.addButton( 'true_mce_button_featuredicon', { // id кнопки true_mce_button
			icon: ' fa fa-cubes', // мой собственный CSS класс, благодаря которому я задам иконку кнопки
			type: 'menubutton',
			title: 'Add Featured List', // всплывающая подсказка при наведении
			menu: [ // тут начинается первый выпадающий список
				{ // первый элемент первого выпадающего списка

					text: 'Add Fearured Box',
					onclick: function() {
						editor.windowManager.open( {
							title: 'Set the parameters of the Featured Box',
							body: [
							
								{
									type: 'textbox', // тип listbox = выпадающий список select
									name: 'name',
									label: 'Name Block Featured',
									value: '' // значение по умолчанию
								},
								
								{
									type: 'listbox', // тип listbox = выпадающий список select
									name: 'icon',
									label: 'Select Icon',
									'values': [ // значения выпадающего списка
										{text: '<i class="fa fa-external-link"></i>', value: '<i class="fa fa-external-link"></i>'}, // лейбл, значение
										{text: '<i class="fa fa-eyedropper"></i>', value: '<i class="fa fa-eyedropper"></i>'},
										{text: '<i class="fa fa-university"></i>', value: '<i class="fa fa-university"></i>'},
										
										{text: '<i class="fa fa-futbol-o"></i>', value: '<i class="fa fa-futbol-o"></i>'},
										{text: '<i class="fa fa-male"></i>', value: '<i class="fa fa-male"></i>'},
										{text: '<i class="fa fa-music"></i>', value: '<i class="fa fa-music"></i>'},
										
										{text: '<i class="fa fa-balance-scale"></i>', value: '<i class="fa fa-balance-scale"></i>'},
										{text: '<i class="fa fa-commenting-o"></i>', value: '<i class="fa fa-commenting-o"></i>'},
										{text: '<i class="fa fa-car"></i>', value: '<i class="fa fa-car"></i>'},
										
										{text: '<i class="fa fa-university"></i>', value: '<i class="fa fa-university"></i>'},
										{text: '<i class="fa fa-bolt"></i>', value: '<i class="fa fa-bolt"></i>'},
										{text: '<i class="fa fa-car"></i>', value: '<i class="fa fa-car"></i>'},
										
										{text: '<i class="fa fa-bullhorn"></i>', value: '<i class="fa fa-bullhorn"></i>'},
										{text: '<i class="fa fa-calculator"></i>', value: '<i class="fa fa-calculator"></i>'},
										{text: '<i class="fa fa-calendar"></i>', value: '<i class="fa fa-calendar"></i>'},
										
										{text: '<i class="fa fa-check"></i>', value: '<i class="fa fa-check"></i>'},
										{text: '<i class="fa fa-cubes"></i>', value: '<i class="fa fa-cubes"></i>'},
										{text: '<i class="fa fa-calendar"></i>', value: '<i class="fa fa-calendar"></i>'},
										
										{text: '<i class="fa fa-calendar"></i>', value: '<i class="fa fa-calendar"></i>'},
										{text: '<i class="fa fa-calendar"></i>', value: '<i class="fa fa-calendar"></i>'},
										{text: '<i class="fa fa-exclamation-circle"></i>', value: '<i class="fa fa-exclamation-circle"></i>'},
										
										{text: '<i class="fa fa-futbol-o"></i>', value: '<i class="fa fa-futbol-o"></i>'},
										{text: '<i class="fa fa-hourglass"></i>', value: '<i class="fa fa-hourglass"></i>'},
										{text: '<i class="fa fa-industry"></i>', value: '<i class="fa fa-industry"></i>'},
										
										{text: '<i class="fa fa-recycle"></i>', value: '<i class="fa fa-recycle"></i>'},
										{text: '<i class="fa fa-refresh"></i>', value: '<i class="fa fa-refresh"></i>'},
										{text: '<i class="fa fa-search"></i>', value: '<i class="fa fa-search"></i>'},
									]
								},
								
								{
									type: 'textbox', // тип listbox = выпадающий список select
									name: 'description',
									label: 'Description Block',
									value: 'recommended 200 symbols', // значение по умолчанию
									multiline: true, // большое текстовое поле - textarea
									minWidth: 300, // минимальная ширина в пикселях
									minHeight: 100 // минимальная высота в пикселях
								},
								
								{
									type: 'textbox', // тип listbox = выпадающий список select
									name: 'backcolor',
									label: 'Background Color Icon',
									value: '#3bc0c3' // значение по умолчанию
								},
								


								


							],
							onsubmit: function( e ) { // это будет происходить после заполнения полей и нажатии кнопки отправки
								editor.insertContent( '<div class="cg_featured_block">[featufed_block_cg name="' + e.data.name + '" icon=\'' + e.data.icon + '\' description="' + e.data.description + '" backcolor="' + e.data.backcolor + '"]</div><p>&nbsp;</p>');
							}
						});
					},							
							
				},
				
				/*{ // второй элемент первого выпадающего списка
				
					text: ' + Add Slide',
					onclick: function() {
						editor.insertContent('<li class="cg_it_item_slide slide">[slide_item_cg]inside content here[/slide_item_cg]</li>');
					}
					
				}*/
				
			]

		});
	});
})();