// JavaScript Document
(function() {
	tinymce.PluginManager.add('true_mce_button', function( editor, url ) { // id кнопки true_mce_button должен быть везде один и тот же
		editor.addButton( 'true_mce_button', { // id кнопки true_mce_button
			icon: ' fa fa-commenting', // мой собственный CSS класс, благодаря которому я задам иконку кнопки
			type: 'menubutton',
			title: 'Add Testimonials + 1 Element', // всплывающая подсказка при наведении
			menu: [ // тут начинается первый выпадающий список
				{ // первый элемент первого выпадающего списка

							text: 'Add Testimonials',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Set the parameters of the Testimonials',
									body: [
										{
											type: 'textbox', // тип textbox = текстовое поле
											name: 'name', // ID, будет использоваться ниже
											label: 'Name Testimonials', // лейбл
											value: 'ex. Bill Gates' // значение по умолчанию
										},
										{
											type: 'textbox', // тип textbox = текстовое поле
											name: 'description',
											label: 'Description Testimonials',
											value: 'Recommended 300 symbols',
											multiline: true, // большое текстовое поле - textarea
											minWidth: 300, // минимальная ширина в пикселях
											minHeight: 100 // минимальная высота в пикселях
										},
										{
											type: 'listbox', // тип listbox = выпадающий список select
											name: 'icon',
											label: 'Icon <i class="fa fa-object-ungroup"></i>',
											'values': [ // значения выпадающего списка
												{text: '<i class="fa fa-map-pin"></i>', value: '<i class="fa fa-map-pin"></i>'}, // лейбл, значение
												{text: '<i class="fa fa-object-ungroup"></i>', value: '<i class="fa fa-object-ungroup"></i>'}
											]
										}
									],
									onsubmit: function( e ) { // это будет происходить после заполнения полей и нажатии кнопки отправки
										editor.insertContent( '<div class="cg_featured_block">[testimonials_cg name="' + e.data.name + '" description="' + e.data.description + '" icon=\'' + e.data.icon + '\']</div><p>&nbsp;</p>');
									}
								});
							},
				}
			]

		});
	});
})();