<?php
//---------------------------
//Add metaboxes Company Team
//---------------------------
		add_action('add_meta_boxes', 'metabox_init_company_team'); 
		add_action( 'save_post', 'save_metaboxes_company_team' );
		
		/*initialize metabox*/
		function metabox_init_company_team() { 
		add_meta_box('metabox_company_team', 'Data Members of Ship', 
		'inside_company_team', 'company_team_pages', 'advanced', 'default');
		} 
		
		/*content metabox*/
		function inside_company_team() { 
		
		wp_nonce_field('metatest_action_company_team', 'metatest_nonce_company_team'); 
		
		echo '
		<p><em>Add shortcode </em><span style="font-size:18px; color:#3cb800">[our_team_cg][/our_team_cg]</span><em> on page of visibility block</em></p>
		<h2>About Member Info</h2>
		<p>
			<label for="_company_team_appointment">Appointment</label><br />
			<input type="text" name="_company_team_appointment" id="_company_team_appointment" style="width:100%" value="'.get_post_meta(get_the_ID(), '_company_team_appointment', true).'">
		</p>
		<p>
			<label for="_company_team_description">Description</label><br />
			<input type="text" name="_company_team_description" id="_company_team_description" style="width:100%" value="'.get_post_meta(get_the_ID(), '_company_team_description', true).'">
		</p>
		
		<h2>Social Profiles</h2>
		
		<p>
			<label for="_company_team_description">LinkedIn</label><br />
			<input type="text" name="_company_team_social_ln" id="_company_team_social_ln" style="width:100%" value="'.get_post_meta(get_the_ID(), '_company_team_social_ln', true).'">
		</p>
		<p>
			<label for="_company_team_description">FaceBook</label><br />
			<input type="text" name="_company_team_social_fb" id="_company_team_social_fb" style="width:100%" value="'.get_post_meta(get_the_ID(), '_company_team_social_fb', true).'">
		</p>
		<p>
			<label for="_company_team_description">Instagram</label><br />
			<input type="text" name="_company_team_social_vk" id="_company_team_social_vk" style="width:100%" value="'.get_post_meta(get_the_ID(), '_company_team_social_vk', true).'">
		</p>
		<p>
			<label for="_company_team_description">Google plus+</label><br />
			<input type="text" name="_company_team_social_gp" id="_company_team_social_gp" style="width:100%" value="'.get_post_meta(get_the_ID(), '_company_team_social_gp', true).'">
		</p>
		<p>
			<label for="_company_team_description">Twitter</label><br />
			<input type="text" name="_company_team_social_tw" id="_company_team_social_tw" style="width:100%" value="'.get_post_meta(get_the_ID(), '_company_team_social_tw', true).'">
		</p>
		
		'; 
		}
		
		/*save metabox*/
		function save_metaboxes_company_team() { 
		
		// пришло ли поле наших данных? 
		if (isset($_POST['_company_team_appointment'])) 
		{ } else { return; }
		
		// не происходит ли автосохранение? 
		if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) 
		return; 
		
		// не ревизию ли сохраняем? 
		if (wp_is_post_revision( get_the_ID() ) ) 
		return; 
		
		// проверка достоверности запроса 
		check_admin_referer('metatest_action_company_team', 'metatest_nonce_company_team'); 

		// коррекция данных 
		// запись 
		update_post_meta(get_the_ID(), '_company_team_appointment', sanitize_text_field($_POST['_company_team_appointment'])); 
		update_post_meta(get_the_ID(), '_company_team_description', sanitize_text_field($_POST['_company_team_description'])); 
		
		update_post_meta(get_the_ID(), '_company_team_social_ln', sanitize_text_field($_POST['_company_team_social_ln'])); 
		update_post_meta(get_the_ID(), '_company_team_social_fb', sanitize_text_field($_POST['_company_team_social_fb'])); 
		update_post_meta(get_the_ID(), '_company_team_social_vk', sanitize_text_field($_POST['_company_team_social_vk'])); 
		update_post_meta(get_the_ID(), '_company_team_social_gp', sanitize_text_field($_POST['_company_team_social_gp'])); 
		update_post_meta(get_the_ID(), '_company_team_social_tw', sanitize_text_field($_POST['_company_team_social_tw']));
		
		}
?>