<?php
//---------------------------
//Add metaboxes Company Team
//---------------------------
		add_action('add_meta_boxes', 'metabox_init_slider_options'); 
		add_action( 'save_post', 'save_metaboxes_slider_options' );
		
		/*initialize metabox*/
		function metabox_init_slider_options() { 
		add_meta_box('metabox_slider_options', 'Options of Slide', 
		'inside_slider_options', 'primary_slider', 'advanced', 'default');
		} 
		
		/*content metabox*/
		function inside_slider_options() { 
		
		wp_nonce_field('metatest_action_slider_cg', 'metatest_nonce_slider_cg'); 
		
		echo '
		<p><em>Add shortcode </em><span style="font-size:18px; color:#3cb800">[slider_cg][/slider_cg]</span><em> on page of visibility block</em></p>
		
		<h2>Option This Slide</h2>
		
		<p>
			<label for="_company_team_description">Description</label><br />
			<input type="text" name="_slider_cg_description" id="_slider_cg_description" style="width:100%" value="'.get_post_meta(get_the_ID(), '_slider_cg_description', true).'">
		</p>
		<p>
			<label for="_company_team_description">Read More Text</label><br />
			<input type="text" name="_slider_cg_readmoretext" id="_slider_cg_readmoretext" style="width:100%" value="'.get_post_meta(get_the_ID(), '_slider_cg_readmoretext', true).'">
		</p>
		<p>
			<label for="_company_team_description">Read More Link</label><br />
			<input type="text" name="_slider_cg_readmorelink" id="_slider_cg_readmorelink" style="width:100%" value="'.get_post_meta(get_the_ID(), '_slider_cg_readmorelink', true).'">
		</p>
		'; 
		}
		
		/*save metabox*/
		function save_metaboxes_slider_options() { 
		
		// пришло ли поле наших данных? 
		if (isset($_POST['_slider_cg_description'])) 
		{ } else { return; }
		
		// не происходит ли автосохранение? 
		if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) 
		return; 
		
		// не ревизию ли сохраняем? 
		if (wp_is_post_revision( get_the_ID() ) ) 
		return; 
		
		// проверка достоверности запроса 
		check_admin_referer('metatest_action_slider_cg', 'metatest_nonce_slider_cg'); 

		// коррекция данных 
		// запись 
 
		update_post_meta(get_the_ID(), '_slider_cg_description', sanitize_text_field($_POST['_slider_cg_description'])); 
		update_post_meta(get_the_ID(), '_slider_cg_readmoretext', sanitize_text_field($_POST['_slider_cg_readmoretext'])); 
		update_post_meta(get_the_ID(), '_slider_cg_readmorelink', sanitize_text_field($_POST['_slider_cg_readmorelink']));
		
		}
?>