<?php 
//---------------------------
//Add Primary Slider
//---------------------------
add_action( 'init', 'create_primary_slider' );
function create_primary_slider() {
    register_post_type2( 'primary_slider',
        array(
            'labels' => array(
                'name' => 'Primary Slider',
                'singular_name' => 'Slides',
                'add_new' => 'Add New Slide',
                'add_new_item' => 'Add New Slide',
                'edit' => 'Edit Slide',
                'edit_item' => 'Edit Slides',
                'new_item' => 'New Slides',
                'view' => 'View Slide',
                'view_item' => 'View Slides',
                'search_items' => 'Search Slides',
                'not_found' => 'No Slide found',
                'not_found_in_trash' => 'No Slides found in Trash',
                'parent' => 'Parent Slides'
            ),
            'public' => true,
            'menu_position' => 13,
            'supports' => array( 'title', 'thumbnail'),
            'taxonomies' => array( '' ),
           // 'menu_icon' => plugins_url( 'images/image.png', __FILE__ ),
            'has_archive' => true
        )
    );
}
?>