<?php 
//---------------------------
//Add ShortCode Testimonials
//---------------------------
	// Хуки
	function true_add_mce_button_featuredicon() {
		// проверяем права пользователя - может ли он редактировать посты и страницы
		if ( !current_user_can( 'edit_posts' ) && !current_user_can( 'edit_pages' ) ) {
			return; // если не может, то и кнопка ему не понадобится, в этом случае выходим из функции
		}
		// проверяем, включен ли визуальный редактор у пользователя в настройках (если нет, то и кнопку подключать незачем)
		if ( 'true' == get_user_option( 'rich_editing' ) ) {
			add_filter( 'mce_external_plugins', 'add_script_featuredicon' );
			add_filter('mce_buttons_3', 'true_register_mce_featuredicon');

		}
	}
	add_action('admin_head', 'true_add_mce_button_featuredicon');
		 
		// В этом функции указываем ссылку на JavaScript-файл кнопки
		function add_script_featuredicon( $plugin_array ) {
			$plugin_array['true_mce_button_featuredicon'] = esc_url( get_template_directory_uri() )
 .'/includes/mce/featuredicon_button.js'; // true_mce_button - идентификатор кнопки
			return $plugin_array;
		}
		 
		// Регистрируем кнопку в редакторе
		function true_register_mce_featuredicon( $buttons ) {
			array_push( $buttons, 'true_mce_button_featuredicon' ); // true_mce_button - идентификатор кнопки
			return $buttons;
		}


	
//---------------------------
//Add ShortCode item Slider
//---------------------------

	function featufed_block_cg($atts, $content='OUR FEATURED BLOCK') {
		
	$params = shortcode_atts( array( // в массиве укажите значения параметров по умолчанию
		'name' => 'Name Block',
		'icon' => '<i class="fa fa-male"></i>',
		'description' => 'description...',
		'backcolor' => '#3bc0c3',
	), $atts );
			
		return '
			<div data-animate="animated" class="box_style_02 wpb_blockquotes wpb_content_element  animation-screen animated">
				<div class="icon_builder_content_block02">
					<div class="icone_back_block02"><span class="icon-hex-hole-90"></span></div>	
					<div class="icone_form_block02 hover_animator"><span class="icon-hex-solid-90"></span></div>
					<div class="icone_block02 hover_animator">'.$params["icon"].'</div>
				</div>	
				<div class="content_block02">
					<h3>'.$params["name"].'</h3>
					<div>
					<p>'.$params["description"].'</p>
					</div>
				</div>
			</div>
		';
	}
	add_myshortcode2( 'featufed_block_cg', 'featufed_block_cg' );
	add_myshortcode2( 'icon-box_abc', 'featufed_block_cg' );
	
?>