<?php 
//---------------------------
//Add ShortCode Testimonials
//---------------------------
	// Хуки
	function true_add_mce_button_slider_class() {
		// проверяем права пользователя - может ли он редактировать посты и страницы
		if ( !current_user_can( 'edit_posts' ) && !current_user_can( 'edit_pages' ) ) {
			return; // если не может, то и кнопка ему не понадобится, в этом случае выходим из функции
		}
		// проверяем, включен ли визуальный редактор у пользователя в настройках (если нет, то и кнопку подключать незачем)
		if ( 'true' == get_user_option( 'rich_editing' ) ) {
			add_filter( 'mce_external_plugins', 'add_script_slider_class' );
			//add_filter( 'mce_buttons', 'true_register_mce_slider_class' );
			add_filter('mce_buttons_3', 'true_register_mce_slider_class');

		}
	}
	add_action('admin_head', 'true_add_mce_button_slider_class');
		 
		// В этом функции указываем ссылку на JavaScript-файл кнопки
		function add_script_slider_class( $plugin_array ) {
			$plugin_array['true_mce_button_slider_class'] = esc_url( get_template_directory_uri() )
 .'/includes/mce/slider_class_button.js'; // true_mce_button - идентификатор кнопки
			return $plugin_array;
		}
		 
		// Регистрируем кнопку в редакторе
		function true_register_mce_slider_class( $buttons ) {
			array_push( $buttons, 'true_mce_button_slider_class' ); // true_mce_button - идентификатор кнопки
			return $buttons;
		}


//---------------------------
//Add ShortCode Slider_Container
//---------------------------
		

	function slider_class_cg($atts, $content='OUR TESTOMONIALS') {
		$random_id = rand(0,10000000);
		
		$params = shortcode_atts( array( // в массиве укажите значения параметров по умолчанию
			'width_slide_box' => 'inbox100',
			'column_mobile' => '1',
			'column_tablet' => '2',
			'column_desctop' => '3',
			'arrows' => 'false',
			'slider_background_color' => '#FFFFFF',
			//'width_slide_box' => 'inbox100',
		), $atts );
		
		$script = "
			<script>
				(function($, undefined){ 		
				jQuery(document).ready(function(){
					var glide_spp = $('.activare_slider_".$random_id."').glide({limiter_mobile: ".$params['column_mobile'].", limiter_tablet: ".$params['column_tablet'].", limiter_monitor: ".$params['column_desctop'].", slide_flip: true, autoplay: false, arrows: ".$params['arrows'].", arrowLeftText: '<span class=\"icon-hex-hole-90\"><i class=\"fa fa-arrow-left\"></i></span>', arrowRightText: '<span class=\"icon-hex-hole-90\"><i class=\"fa fa-arrow-right\"></i></span>', }).data('api_glide'); glide_spp.play()
				});
				} )( jQuery );
			</script>
		";
		
		if ($params['width_slide_box'] == 'inbox100' ) {$div_before = ''; $div_after = '';}
		if ($params['width_slide_box'] == 'screen100' ) {$div_before = '</div></div></div>'; $div_after = '<div><div class="container"><div id="primary-content-output" style="padding-bottom:0;">';}
		
		return $script.$div_before.'<div style="background-color:'.$params['slider_background_color'].'"><div class="container dm_ulial_slide slider activare_slider_'.$random_id.'">'.do_shortcode($content).'</div></div>'.$div_after;
	}
	add_myshortcode2( 'slider_class_cg', 'slider_class_cg' );
	add_myshortcode2( 'slide_container_abc', 'slider_class_cg' );
	
//---------------------------
//Add ShortCode item Slider
//---------------------------

	function slide_item_cg($atts, $content='OUR TESTOMONIALS') {
		
		return do_shortcode($content);
	}
	add_myshortcode2( 'slide_item_cg', 'slide_item_cg' );
	add_myshortcode2( 'slide_item_abc', 'slide_item_cg' );
	
?>