<?php 
//---------------------------
//Add ShortCode Testimonials
//---------------------------
	// Хуки
	function true_add_mce_button() {
		// проверяем права пользователя - может ли он редактировать посты и страницы
		if ( !current_user_can( 'edit_posts' ) && !current_user_can( 'edit_pages' ) ) {
			return; // если не может, то и кнопка ему не понадобится, в этом случае выходим из функции
		}
		// проверяем, включен ли визуальный редактор у пользователя в настройках (если нет, то и кнопку подключать незачем)
		if ( 'true' == get_user_option( 'rich_editing' ) ) {
			add_filter( 'mce_external_plugins', 'add_script_testimonials' );
			//add_filter( 'mce_buttons', 'true_register_mce_testimonials' );
			add_filter('mce_buttons_3', 'true_register_mce_testimonials');
		}
	}
	add_action('admin_head', 'true_add_mce_button');
		 
		// В этом функции указываем ссылку на JavaScript-файл кнопки
		function add_script_testimonials( $plugin_array ) {
			$plugin_array['true_mce_button'] = esc_url( get_template_directory_uri() )
 .'/includes/mce/testimonials_button.js'; // true_mce_button - идентификатор кнопки
			return $plugin_array;
		}
		 
		// Регистрируем кнопку в редакторе
		function true_register_mce_testimonials( $buttons ) {
			array_push( $buttons, 'true_mce_button' ); // true_mce_button - идентификатор кнопки
			return $buttons;
		}


//---------------------------
//Add ShortCode Testimonials
//---------------------------
		

	function testimonials_cg($atts, $content='OUR TESTOMONIALS') {

		$params = shortcode_atts( array( // в массиве укажите значения параметров по умолчанию
			'name' => 'Name Block',
			'icon' => '<i class="fa fa-male"></i>',
			'description' => 'description...',

		), $atts );

			return '
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="testim_table">
				  <tr>
					<td width="80" align="center" valign="middle" class="dm_quote"><i class="fa fa-quote-left"></i></td>
					<td align="center" valign="middle">
			      		<div class="dm_testim_descr">'.$params["description"].'</div>
						<div class="dm_testim_name">'.$params["name"].'</div>
					</td>
					<td width="80" align="center" valign="middle" class="dm_quote"><i class="fa fa-quote-right"></i></td>
				  </tr>
				</table>
		';
		


	}
	add_myshortcode2( 'testimonials_cg', 'testimonials_cg' );
	add_myshortcode2( 'testimonials_abc', 'testimonials_cg' );
?>