<?php get_header(); ?>


            <div id="h1-primary">
                <div class="container">
                    <h1 data-animate="<?php echo get_option( 'animation_line_title' ); ?> animated" class="container <?php echo get_option( 'delay_line_title' ); ?> animation-screen"><?php printf( __( 'Category Archives: %s', 'twentyfourteen' ), single_cat_title( '', false ) ); ?></h1>
                    <?php
                        // Show an optional term description.
                        $term_description = term_description();
                        if ( ! empty( $term_description ) ) :
                            printf( '<div class="taxonomy-description">%s</div>', $term_description );
                        endif;
                    ?>                    
                </div>
            </div>
            <div class="container" style="margin-bottom:50px;">
                <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?> 
                <?php // the_content(); ?>
                <?php get_template_part( 'post-format/content', '' ); ?>
                <?php endwhile; else: ?>
            
                <h1 style="margin-top:50px;">Nothing Found</h1>
                <p>Sorry, but nothing matched your search terms. Please try again with some different keywords.</p>
                <?php endif; ?>
            </div>


<?php get_footer(); ?>