<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 */

global $timeline_colum;
global $cat_data;

if( has_post_thumbnail() ) { $none_trumbail=""; } else {$none_trumbail="none_trumbail";} 

if (($cat_data['sidebar_position'] != 'full') and (strlen($cat_data['sidebar_position']) > 1)) { $class_width_grid = 'width_grid_2';} else { $class_width_grid = 'width_grid_3'; }
?>
<?php if ($cat_data['list_grid'] == 'grid') { ?>
<div class="blog_body_grid <?php echo $none_trumbail; ?> <?php echo $class_width_grid; ?>">
	<div class="back_previev"><a href="<?php echo esc_url( get_permalink() ) ?>"><?php the_post_thumbnail(); ?></a></div>
    <div class="date_post_grid">
    	<div class="date_post-form-icon"><span class="icon-hex-solid-90"></span></div>
        <div class="date_post-icon"><span class="icon-hex-solid-90"></span></div>
        <div class="date_post-text-icon"><?php echo substr(get_the_time('F'),0,3); ?><br /><span><?php  echo get_the_date('j'); ?></span></div>
    </div>
	<div class="metadata_single list_single_grid">Posted By <?php the_author_posts_link(); ?></div>
    <h2 class="h2-single_grid"><?php the_title(); ?></h2>
  	<div class="the_excerpt_grid"><?php the_excerpt(); ?></div> 
    <a href="<?php echo esc_url( get_permalink() ) ?>" class="read_more_button_grid">Read more</a>
  <div class="clear_fix"></div>
</div>
<?php } elseif ($cat_data['list_grid'] == 'timeline') {?>


	<?php if ($timeline_colum%2 != 0){ ?>
		<div class="timeline">
            <div <?php data_animate($cat_data['date_animation_box'], $cat_data['date_delay_box'], 'date_box'); ?>  class="date_timeline <?php animation_screen($cat_data['date_animation_box'], true, 'date_box'); ?>">
                <div class="date_post-form-icon"><span class="icon-hex-solid-00"></span></div>
                <div class="date_post-icon"><span class="icon-hex-solid-00"></span></div>
                <div class="date_post-text-icon"><?php echo substr(get_the_time('F'),0,3); ?><br /><span><?php  echo get_the_date('j'); ?></span></div>
            </div>
            
            <div <?php data_animate($cat_data['even_animation_box'], $cat_data['even_delay_box'], 'even_post_box'); ?> class="blog_body_grid <?php echo $none_trumbail; ?> <?php animation_screen($cat_data['even_animation_box'], true, 'even_post_box'); ?> timeline_even">
                <div class="back_previev"><a href="<?php echo esc_url( get_permalink() ) ?>"><?php the_post_thumbnail(); ?></a></div>
                <h2 class="h2-single_grid"><?php the_title(); ?></h2>
                <div style="padding:0px 20px">Posted By <?php the_author_posts_link(); ?> / <?php comments_number('0', '1', '%'); ?> <a href="#my_comment">Comments</a></div>
                <div class="the_excerpt_grid"><?php the_excerpt(); ?></div> 
                <a href="<?php echo esc_url( get_permalink() ) ?>" class="read_more_button_grid">Read more</a>
              <div class="clear_fix"></div>
            </div>
            
        </div>
		<div class="clear_fix"></div>
    <?php } else { ?>
		<div class="timeline timeline_to_up">
            <div <?php data_animate($cat_data['date_animation_box'], $cat_data['date_delay_box'], 'date_box'); ?>  class="date_timeline <?php animation_screen($cat_data['date_animation_box'], true, 'date_box'); ?>">
                <div class="date_post-form-icon"><span class="icon-hex-solid-00"></span></div>
                <div class="date_post-icon"><span class="icon-hex-solid-00"></span></div>
                <div class="date_post-text-icon"><?php echo substr(get_the_time('F'),0,3); ?><br /><span><?php  echo get_the_date('j'); ?></span></div>
            </div>
            
            <div <?php data_animate($cat_data['odd_animation_box'], $cat_data['odd_delay_box'], 'odd_post_box'); ?> class="blog_body_grid <?php echo $none_trumbail; ?> <?php animation_screen($cat_data['odd_animation_box'], true, 'odd_post_box'); ?> timeline_odd">
                <div class="back_previev"><a href="<?php echo esc_url( get_permalink() ) ?>"><?php the_post_thumbnail(); ?></a></div>
                <h2 class="h2-single_grid"><?php the_title(); ?></h2>
                <div style="padding:0px 20px">Posted By <?php the_author_posts_link(); ?> / <?php comments_number('0', '1', '%'); ?> <a href="#my_comment">Comments</a></div>
                <div class="the_excerpt_grid"><?php the_excerpt(); ?></div> 
                <a href="<?php echo esc_url( get_permalink() ) ?>" class="read_more_button_grid">Read more</a>
              <div class="clear_fix"></div>
            </div>
        </div>
        <div class="clear_fix"></div>
    <?php } ?>
    
    
<?php } else { ?>
<div class="blog_body <?php echo $none_trumbail; ?>">
	<div class="back_previev"><a href="<?php echo esc_url( get_permalink() ) ?>"><?php the_post_thumbnail(); ?></a></div>
    <div class="date_post">
    	<div class="date_post-form-icon"><span class="icon-hex-solid-90"></span></div>
        <div class="date_post-icon"><span class="icon-hex-solid-90"></span></div>
        <div class="date_post-text-icon"><?php echo substr(get_the_time('F'),0,3); ?><br /><span><?php  echo get_the_date('j'); ?></span></div>
    </div>
	<div class="metadata_single list_single">Posted By <?php the_author_posts_link(); ?> / In <?php the_category(', ', 'multiple'); ?> / <?php comments_number('0', '1', '%'); ?> <a href="#my_comment">Comments</a></div>
    <h2 data-animate="dm_bounceInLeft animated" class="animation-screen h2-single"><?php the_title(); ?></h2>
  	<div class="the_excerpt"><?php the_excerpt(); ?></div> 
    <a href="<?php echo esc_url( get_permalink() ) ?>" class="read_more_button">Read more</a>
  <div class="clear_fix"></div>
</div>
<?php } ?>