/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'GeometricFigure\'">' + entity + '</span>' + html;
	}
	var icons = {
		'icon-hex-in-00': '&#xe604;',
		'icon-hex-in-90': '&#xe605;',
		'icon-hex-hole-90': '&#xe600;',
		'icon-hex-solid-90': '&#xe601;',
		'icon-hex-hole-00': '&#xe602;',
		'icon-hex-solid-00': '&#xe603;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
