<p>&nbsp;</p>




<!-- BEGIN QUESTIONS -->
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="header_do_it">
      <h2 class="head_contenter">How to set front page and blog page?</h2>
        <div class="content_do_it">
<p dir="ltr">First page is like the face of your site, so do remember, that many visitors evaluate exactly first page or front page of your site and decide whether take their time to read more pages/posts or just go away. &nbsp;That&rsquo;s why be careful, while choosing front page of your site - it should be pretty-look, relevant to your site content page, that will be able to briefly introduce site to the new visitors or can be simply interesting for them.</p>
          <p dir="ltr">To set front page follow next steps:</p>
          <ul>
            <li>Go to admin panel in WordPress &gt; Settings &gt; Reading </li>
            <li>Choose Front page displays - Your latest posts (e.g. you want to keep visitors attention on your posts) or select &ldquo;A static page&rdquo; option, which give you an opportunity to set any early created page as a front page. </li>
          </ul>
          <p dir="ltr">[attachment]</p>
          <br />
        If you want to change your front page, just go to WordPress &gt; Settings &gt; Reading and select Your latest posts or any page from a dropdown menu in &ldquo;A static page&rdquo; option.</div>
    </td>
  </tr>
</table>
<!-- END QUESTIONS -->



<!-- BEGIN QUESTIONS -->
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="header_do_it">
        <h2 class="head_contenter">How to create first page/post?</h2>
        <div class="content_do_it">
<p dir="ltr">To create new page or post, go to WordPress Admin Panel &gt; Pages(Posts) and click on &ldquo;Add new&rdquo;. Then enter title and text to specified fields. </p>
          <p dir="ltr">WordPress provides default features you will be able to set, such as:</p>
          <p dir="ltr">Publish options: </p>
          <ul>
            <li>Save page/post as a draft</li>
            <li>See page/post preview (keep in mind, that this option show changes, but doesn&rsquo;t save - them)</li>
            <li>To publish for the first time or to save changes for next times, click on Publish/ Update</li>
            <li>Adjust Status, Visibility and date/time you want to publish page/post</li>
            <li>If you want to delete page/post, please click on &ldquo;Move to trash &ldquo;</li>
            <li>Display or hide different features for each page/post via Screen Options. </li>
          </ul>
          <p dir="ltr">We upgraded some features and add new ones, see the list below:</p>
          <ul>
            <li>Sidebar</li>
            <li>Custom fields - set page structure by using simple rules (right/yes, yes/no, the name of header skin you want to display)</li>
          </ul>
          <p dir="ltr">Use Screen Options in the right top corner to show all features you can adjust. To display option in the post settings, please select checkbox left to this option:</p>
          <ul>
            <li>Excerpts - short description</li>
            <li>Trackbacks Option - automatic notification to blog you link to</li>
            <li>Post/Page format (Link format, Quote format, Video format, Audio format)</li>
            <li>Custom Fields - add new custom field</li>
            <li>Discussion - &nbsp;comments settings</li>
            <li>Comments - add new comment</li>
            <li>Slug </li>
            <li>Author </li>
            <li>Categories </li>
            <li>Tags - add new or use most </li>
            <li>Option Sidebar - enable/disable sidebar and sidebar settings</li>
            <li>Featured Image - header image of your post</li>
          </ul>
      </div>
    </td>
  </tr>
</table>
<!-- END QUESTIONS -->



<!-- BEGIN QUESTIONS -->
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="header_do_it">
        <h2 class="head_contenter">How to set menus?</h2>
        <div class="content_do_it">
<p dir="ltr">Go to section: &ldquo;Appearance &gt; Menus&rdquo;.</p>
          <p dir="ltr">This option allows you to work with different types of existing Menus or create new ones.</p>
          <p dir="ltr">You have an option to add / set navigation label / delete Menu sections as well as rename/delete Menus directly.</p>
          <p dir="ltr">[attachment]</p>
          <br />
          <p dir="ltr">For adding a new section to an existing Menu you need to follow next steps:</p>
          <ul>
            <li>(1) Select Menu you want to work with</li>
            <li>(2) Choose any type of items (pages, links, articles etc.)</li>
            <li>(3) Mark particular items or (4) Select All and then click on &ldquo;Add to Menu&rdquo;</li>
          </ul>
          <p dir="ltr">You can always change Menu sections by clicking each item to reveal additional configuration option in the Menu Structure box (5).</p>
          <p dir="ltr">When finished, please make sure you save all changes by clicking on Save Menu (6).</p>
          <p dir="ltr">Note that you can change items list displayed in the left area by clicking on Screen Option on the right top corner.</p>
          <p dir="ltr">Interrelations of Theme Menu Location and Assigned Menu is shown in Manage location tab. Here you can edit or select Assigned Menu and create new one to use it at Assigned Menu. Don&rsquo;t forget to Save your customizations! </p>
<br />
        </div>
    </td>
  </tr>
</table>
<!-- END QUESTIONS -->



<!-- BEGIN QUESTIONS -->
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="header_do_it">
        <h2 class="head_contenter">How to allow/disallow comments</h2>
        <div class="content_do_it">
<p dir="ltr">WP admin panel gives you a possibility to work with comments for all or for specific pages.</p>
          <p dir="ltr">Disable comments for all pages in admin panel as default settings.</p>
          <p dir="ltr">Please, navigate to: &ldquo;Settings &gt; Discussions&rdquo; and click &ldquo;Allow people to post comments on new articles&rdquo;.</p>
          <p dir="ltr">So you will disallow to add new comments for new posts published after this changes.</p>
          <p dir="ltr">Disable comments for specific pages</p>
          <p dir="ltr">First you need to open Screen Option at the right top corner of the edit page of post. And then click on the right option to allow or to disallow comments on this post.</p>
          <p dir="ltr">If you want to disable comment for all or separated pages/posts from desired section, please do the following:</p>
        Go to section where you want to disallow comment. Then mark all pages and select Edit Option, click on &ldquo;Apply&rdquo;.</div>
    </td>
  </tr>
</table>
<!-- END QUESTIONS -->



<!-- BEGIN QUESTIONS -->
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="header_do_it">
        <h2 class="head_contenter">How to set theme?</h2>
        <div class="content_do_it">
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Alphabet Theme is more flexible due to our custom settings, which you can find in Theme Options section (Appearance &gt; Theme Options).</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">General - Some general options to set.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Preloading Page - This option allows you to customize Preloading Page view.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Blog - These options help to set default blog post view and blog posts list displaying in the categories. You can set individual blog post view also.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Fonts - General font settings. In other words is a global font settings for all texts, titles (H1, H2, H3).</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Logo - &nbsp;These options allows to upload site logo for displaying it in the different site areas.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Menu - Enable/disable menu at the posts or pages. Customize menu colors for 1 level menu and for submenu level menu.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Social links - These options allow you to place your social accounts links to the website.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Social sharing - Specify social networks to share your content through them.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Top Bar - Change top bar view via admin panel.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Header - You will be able to adapt header appearance to your wishes through these options.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Footer - These options allow to define general footer settings values.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Contacts - &nbsp;Fill your contact info and let website visitors get in touch with you. </span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Help - Find answers to the hottest &ldquo;How to?&rdquo; about our theme. And yeah, you&rsquo;re here now:)</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Coming Soon Page - This option allows you to customize Coming Soon Page view. &nbsp;</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Demo Content &nbsp;- download demo content just in one click.</span></p>
<br />
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Go to Primary Slider section in the Admin Panel. Here you can create new Slider and Add new slides to slider. Place your background, fill your text and set you &lsquo;call-to-action&rsquo; button. With the help of shortcode at the top of the slide edit page, you can display slider at any page or post you need.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12"><img src="https://lh3.googleusercontent.com/eX6Wb3rZ1CK6_3AXjmR3pc3ppTyJ_vgAKFilE6h3v93wqXsT9dw8lYqY8PZRtyTL2w9kOwtPNpimKhlIEu0a29hBFDcQ6DimJzwdfjhNxaCe57J9iHW3hgFWd0dtKfeVMTZuCtw4" alt="" width="502px;" height="274px;"/></span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-eca0-4565-d024-203cda7b0b12">Using Portfolio section, you will be able to present your projects. Add portfolio items, create new portfolio categories or tabs and place portfolio list at the page via specify shortcode.</span></p>
To share you team use Company Team section of WordPress admin panel. Add team members and display them by using [team_ac][/team_ac] shortcode.</div>
    </td>
  </tr>
</table>
<!-- END QUESTIONS -->



<!-- BEGIN QUESTIONS -->
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="header_do_it">
        <h2 class="head_contenter">How to use shortcodes or How build a page/post?</h2>
        <div class="content_do_it">
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Build the page using ready-to-use shortcodes. Just place specific shortcodes to the page in the order you want them to be displayed at the page; fill text inside shortcodes to specify their title and description. Here is the list of shotcodes you could use and adjust:</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Slider [primary_slider_abc][/top_slider_abc] - use Primary Slider section in the WordPress admin panel to create sliders and place it to the page/post via shortcodes.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Google Map [map_abc][/map_abc] &nbsp;- help your customers/visitors find you or some important place you want to show</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Team [team_abc][/team_abc] - present your awesome team</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Info table [info_table_abc] [/info-table_abc]- add info to the table</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Icon box [icon_box_abc][/icon-box_abc] - add info to the icon box</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Testimonials [testimonials_abc][/testimonials_abc] - display testimonials</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Portfolio [portfolio_abc][/portfolio_abc] - view portfolio items list</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Contact us [contact_us_abc][/contact_us_abc] - create new page &ldquo;Contact us&rdquo; and place this shortcode to display contact us info. Add your text or widget inside the shortcode.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Blog [blog_abc][/blog_abc] - create new page &ldquo;Blog&rdquo; and place this shortcode to display blog posts here.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Items&rsquo; carousel slider &nbsp;or slides container [slide_container_abc][/slide_container_abc] - place your items to slide carousel. Use this shortcode as a container for adding slider items inside.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Carousel slider item [slide_item_abc][/slide_item_abc] - one item of carousel slider. You can put almost any shortcode here (e.g. add icon box). Put as many carousel slider item to [slider_class_ac] as you want to display in carousel slider. </span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Use carousel slider item shotcode in the next manner:</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d"> [slider_class_abc] [slider_item_abc][/slider_item_abc] [/slider_class_abc]</span></p>
<br />
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">At the same time, you can use Visual Editor to see the page architecture as it is. Just go to Visual editor and select shortcode at &nbsp;Alphabet Theme tools panel(1)*. </span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Note: use Carousel Slider for better items displaying!</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Click on Carousel Slider(2):</span></p>
<br />
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d"><img src="https://lh4.googleusercontent.com/3dTOlTNjuYYOVZZRLRjaOiDiGvHtlgsFsK8bKcW0HgmqlKPFoOc0X8X86WNdFID6RkGI7JBoOMk3LDzBAsfLzdlb7P1MNtHk7dNzR7FTgVntB2x3KkOqjZECL3eR264za1Mnz0tx" alt="" width="624px;" height="131px;"/></span></p>
<br />
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Set options in the pop-up window:</span></p>
<br />
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d"><img src="https://lh4.googleusercontent.com/xXK2cgBsBO3BPtFFYuYzz0AW7Xmi4lXSIF6ktuoiPD_yVTAC2SPIgTWHOkRYr4zTYdZT5XVCsFisMl1ATZSioJg-SMzTEf5kf2FEHhsKso5yxT_1J7JrsTVzLibDUxAREB59eHK7" alt="" width="386px;" height="351px;"/></span></p>
<br />
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">You will get something like this:</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d"><img src="https://lh5.googleusercontent.com/pv6VbaKhpFgr75NYRGZ24CHR2UxySt_azfoDVi_ID7ehPeIwiSe92Z20q3nHHZQboIoZqpgYdFYHhsU5xMUgx5VtYmYaTFW42U22xpTa8A1xGXiZ_QkEnhDT6D6gIHAWT7kk4avG" alt="" width="624px;" height="236px;"/></span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Text in containers is fully customizable, so make changes if you need and be careful with code. </span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Now you can place any elements from the Alphabet Theme tools panel into the blue container i.e. 1 shortcode=1slide. In the example, we created 3 blue containers (slides) and add Icon box container to each of them (1):</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d"><img src="https://lh6.googleusercontent.com/LaiSunCK_1M537yfyAt2jWipfdB4yBCLBeremw_WbTAJiIhPfM3jvRUlLVTGAIO1HCJj0rxwWnJP9jQ0TmfiDu1CvqWIYrRJUQzKixLtInatrbreDMMLhmSVtsxyoYi5yqXVAm8m" alt="" width="624px;" height="360px;"/></span></p>
<br />
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">In the front-end it looks like this:</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d"><img src="https://lh5.googleusercontent.com/iAxc5GODFU8aR0rCQK4fK0GFuYZ8hfauDy_fgzfKVy-RvvhLHzy7WNH3U9cOgqR8UjOeNeMGVPZU65u2nOt4v6RHWGxUwY-ANsz1MDZi20G4p2boKbyNi_1mVYJDnACNqXsspXOF" alt="" width="624px;" height="109px;"/></span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">Use hot key combination of &ldquo;Shift+Enter&rdquo; to move to a new row and add new Slide in the same Slides Container.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">To delete any shortcode use &ldquo;Del&rdquo;.</span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">So, control is very similar to any text editor one. </span></p>
<p dir="ltr"><span id="docs-internal-guid-b77317d6-ec9f-bda4-98b4-b6debb71668d">To add Google Map [map_abc][/map_abc], Portfolio [portfolio_abc][/portfolio_abc], Team [team_abc][/team_abc], Slider [primary_slider_abc][/top_slider_abc] before or above the Slide Container just place the cursor into the corresponding text area of WordPress visual editor. Create spacing between paragraphs by clicking on the &ldquo;Enter&rdquo; key.</span></p>
<br />
<br />
      </div>
    </td>
  </tr>
</table>
<!-- END QUESTIONS -->