<?php
/*
Include Custom VetaBoxes
*/



//Метабокс для категории
// добавляет вызов функции при инициализации административного раздела
add_action('admin_init', 'category_custom_fields', 1);
// функция расширения функционала административного раздела
function category_custom_fields()
    {
        // добавления действия после отображения формы ввода параметров категории
        add_action('edit_category_form_fields', 'category_custom_fields_form');
        // добавления действия при сохранении формы ввода параметров категории
        add_action('edited_category', 'category_custom_fields_save');
    }

function category_custom_fields_form($tag)
    {
        $t_id = $tag->term_id;
        $cat_meta = get_option("category_$t_id");
?>

<tr class="form-field">
  <th scope="row" valign="top"><label for="extra1">
      Full/Left/Right
    </label></th>
  <td><select name="Cat_meta[sidebar_position]" id="Cat_meta[sidebar_position]" style="width:200px;">
      <option value="full" <?php echo ($cat_meta['sidebar_position'] == 'full') ? 'selected="selected"' : ''; ?>>Full</option>
      <option value="left" <?php echo ($cat_meta['sidebar_position'] == 'left') ? 'selected="selected"' : ''; ?>>Left</option>
      <option value="right" <?php echo ($cat_meta['sidebar_position'] == 'right') ? 'selected="selected"' : ''; ?>>Right</option>
    </select>
    <br />
    <span class="description">
    Sidebar position
    </span></td>
</tr>
<tr class="form-field">
  <th scope="row" valign="top"><label for="extra1">
      List/Grid/Timeline
    </label></th>
  <td><select name="Cat_meta[list_grid]" id="Cat_meta[list_grid]" style="width:200px;">
      <option value="list" <?php echo ($cat_meta['list_grid'] == 'list') ? 'selected="selected"' : ''; ?>>List</option>
      <option value="grid" <?php echo ($cat_meta['list_grid'] == 'grid') ? 'selected="selected"' : ''; ?>>Grid</option>
      <option value="timeline" <?php echo ($cat_meta['list_grid'] == 'timeline') ? 'selected="selected"' : ''; ?>>Timeline</option>
    </select>
    <br />
    <span class="description">
   Style category preview
    </span></td>
</tr>
<tr class="form-field">
  <th scope="row" valign="top"><label for="extra1">
      Standart/Masonry
    </label></th>
  <td><select name="Cat_meta[post_masonry]" id="Cat_meta[post_masonry]" style="width:200px;">
      <option value="standart" <?php echo ($cat_meta['post_masonry'] == 'standart') ? 'selected="selected"' : ''; ?>>Standart</option>
      <option value="masonry" <?php echo ($cat_meta['post_masonry'] == 'masonry') ? 'selected="selected"' : ''; ?>>Masonry</option>
    </select>
    <br />
    <span class="description">
    Style post preview
    </span></td>
</tr>
<tr class="form-field">
  <th scope="row" valign="top"><h2>Even block</h2></th>
  <td></td>
</tr>
<tr class="form-field">
  <th scope="row" valign="top"><label for="extra1">
      Animation all box
    </label></th>
  <td><select name="Cat_meta[even_animation_box]" id="Cat_meta[even_animation_box]" style="width:200px;">
      <?php
  global $animationlist;
  $i=0;
  foreach ($animationlist as $key => $value) { ?>
      <option value="<?php echo $value; ?>" <?php echo ($cat_meta['even_animation_box'] == $value) ? 'selected="selected"' : ''; ?>><?php echo $key; ?></option>
      <?php } $i++;?>
    </select>
    <br />
    <span class="description">
    Animation for boxes
    </span></td>
</tr>
<tr class="form-field">
  <th scope="row" valign="top"><label for="extra1">
      Animation dellay
    </label></th>
  <td><select name="Cat_meta[even_delay_box]" id="Cat_meta[even_delay_box]" style="width:200px;">
      <?php
  global $animationdelay;
  $i=0;
  foreach ($animationdelay as $key => $value) { ?>
      <option value="<?php echo $value; ?>" <?php echo ($cat_meta['even_delay_box'] == $value) ? 'selected="selected"' : ''; ?>><?php echo $key; ?></option>
      <?php } $i++;?>
    </select>
    <br />
    <span class="description">
    Animation for boxes
    </span></td>
</tr>

<tr class="form-field">
  <th scope="row" valign="top"><h2>Odd block</h2></th>
  <td></td>
</tr>
<tr class="form-field">
  <th scope="row" valign="top"><label for="extra1">
      Animation all box
    </label></th>
  <td><select name="Cat_meta[odd_animation_box]" id="Cat_meta[odd_animation_box]" style="width:200px;">
      <?php
  global $animationlist;
  $i=0;
  foreach ($animationlist as $key => $value) { ?>
      <option value="<?php echo $value; ?>" <?php echo ($cat_meta['odd_animation_box'] == $value) ? 'selected="selected"' : ''; ?>><?php echo $key; ?></option>
      <?php } $i++;?>
    </select>
    <br />
    <span class="description">
    Animation for boxes
    </span></td>
</tr>
<tr class="form-field">
  <th scope="row" valign="top"><label for="extra1">
      Animation dellay
    </label></th>
  <td><select name="Cat_meta[odd_delay_box]" id="Cat_meta[odd_delay_box]" style="width:200px;">
      <?php
  global $animationdelay;
  $i=0;
  foreach ($animationdelay as $key => $value) { ?>
      <option value="<?php echo $value; ?>" <?php echo ($cat_meta['odd_delay_box'] == $value) ? 'selected="selected"' : ''; ?>><?php echo $key; ?></option>
      <?php } $i++;?>
    </select>
    <br />
    <span class="description">
    Animation for boxes
    </span></td>
</tr>
<tr class="form-field">
  <th scope="row" valign="top"><h2>Date icon</h2></th>
  <td></td>
</tr>
<tr class="form-field">
  <th scope="row" valign="top"><label for="extra1">
      Animation all box
    </label></th>
  <td><select name="Cat_meta[date_animation_box]" id="Cat_meta[date_animation_box]" style="width:200px;">
      <?php
  global $animationlist;
  $i=0;
  foreach ($animationlist as $key => $value) { ?>
      <option value="<?php echo $value; ?>" <?php echo ($cat_meta['date_animation_box'] == $value) ? 'selected="selected"' : ''; ?>><?php echo $key; ?></option>
      <?php } $i++;?>
    </select>
    <br />
    <span class="description">
    Animation for boxes
    </span></td>
</tr>
<tr class="form-field">
  <th scope="row" valign="top"><label for="extra1">
      Animation dellay
    </label></th>
  <td><select name="Cat_meta[date_delay_box]" id="Cat_meta[date_delay_box]" style="width:200px;">
      <?php
  global $animationdelay;
  $i=0;
  foreach ($animationdelay as $key => $value) { ?>
      <option value="<?php echo $value; ?>" <?php echo ($cat_meta['date_delay_box'] == $value) ? 'selected="selected"' : ''; ?>><?php echo $key; ?></option>
      <?php } $i++;?>
    </select>
    <br />
    <span class="description">
    Animation for boxes
    </span></td>
</tr>
<?php
    }
    
function category_custom_fields_save($term_id)
    {
        if (isset($_POST['Cat_meta'])) {
            $t_id = $term_id;
            $cat_meta = get_option("category_$t_id");
            $cat_keys = array_keys($_POST['Cat_meta']);
            foreach ($cat_keys as $key) {
                if (isset($_POST['Cat_meta'][$key])) {
                    $cat_meta[$key] = $_POST['Cat_meta'][$key];
                }
            }
            //save the option array
            update_option("category_$t_id", $cat_meta);
        }
    }
//Метабокс для категории конец
	

// привязываем функции сотворения метабокса и 
// сохранения данных к соответствующим хукам: 
add_action('add_meta_boxes', 'metatest_init'); 
add_action('save_post', 'metatest_save'); 

function metatest_init() { 
add_meta_box('metatest', 'Options Sidebar', 'metatest_showup', 'post', 'side', 'default'); 
add_meta_box('metatest', 'Options Sidebar', 'metatest_showup', 'page', 'side', 'default'); 
} 

function metatest_showup($post, $box) { 

// получение существующих метаданных 
$data = get_post_meta($post->ID, 'sidebar_position', true); 
$data2 = get_post_meta($post->ID, 'header_skin_custom', true); 
$data3 = get_post_meta($post->ID, 'title_line_page', true);
$data4 = get_post_meta($post->ID, 'top_sidebar_show', true);
$data5 = get_post_meta($post->ID, 'brescrumbs_show', true);

// скрытое поле с одноразовым кодом 
wp_nonce_field('metatest_action', 'metatest_nonce'); 

// поле с метаданными 
$opt_01 = ( $data == '' ) ? ' selected="selected"' : '';
$opt_02 = ( $data == 'left' ) ? ' selected="selected"' : '';
$opt_03 = ( $data == 'right' ) ? ' selected="selected"' : '';
echo '<p>Position Sidebar: 
<select id="sidebar_position" name="sidebar_position">
  <option value="" '.$opt_01.'>None</option>
  <option value="left" '.$opt_02.'>Left Position</option>
  <option value="right" '.$opt_03.'>Right Position</option>
</select>
</p>'
; 


if (($data2 == '') or ($data2 == 'skin1')) { $opt_01 = ' checked="checked"'; } else { $opt_01 = '';}
if ($data2 == 'skin2') { $opt_02 = ' checked="checked"'; } else { $opt_02 = '';}
echo 
'
<div class="inside">

<p>Header Skin:('.$data2.')</p>
                        <label title="skin1">
                          <input type="radio" name="header_skin_custom" value="skin1" '.$opt_01.'>
                          <span>skin1</span></label>
                        <br>
                        <label title="skin2">
                          <input type="radio" name="header_skin_custom" value="skin2" '.$opt_02.'>
                          <span>skin2</span></label>
                        <br>
</div>
';


if (($data3 == '') or ($data3 == 'yes')) { $opt_01 = ' checked="checked"'; } else { $opt_01 = '';}
if ($data3 == 'no') { $opt_02 = ' checked="checked"'; } else { $opt_02 = '';}
echo 
'
<div class="inside">

<p>Show Page Title Bar:('.$data3.')</p>
                        <label title="Yes">
                          <input type="radio" name="title_line_page" value="yes" '.$opt_01.'>
                          <span>Yes</span></label>
                        <br>
                        <label title="No">
                          <input type="radio" name="title_line_page" value="no" '.$opt_02.'>
                          <span>No</span></label>
                        <br>
</div>
';

if (($data4 == '') or ($data4 == 'yes')) { $opt_01 = ' checked="checked"'; } else { $opt_01 = '';}
if ($data4 == 'no') { $opt_02 = ' checked="checked"'; } else { $opt_02 = '';}
echo 
'
<div class="inside">

<p>Show Top Sidebar:('.$data4.')</p>
                        <label title="Yes">
                          <input type="radio" name="top_sidebar_show" value="yes" '.$opt_01.'>
                          <span>Yes</span></label>
                        <br>
                        <label title="No">
                          <input type="radio" name="top_sidebar_show" value="no" '.$opt_02.'>
                          <span>No</span></label>
                        <br>
</div>
';

if (($data5 == '') or ($data5 == 'yes')) { $opt_01 = ' checked="checked"'; } else { $opt_01 = '';}
if ($data5 == 'no') { $opt_02 = ' checked="checked"'; } else { $opt_02 = '';}
echo 
'
<div class="inside">

<p>Show Breadcrumbs:('.$data5.')</p>
                        <label title="Yes">
                          <input type="radio" name="brescrumbs_show" value="yes" '.$opt_01.'>
                          <span>Yes</span></label>
                        <br>
                        <label title="No">
                          <input type="radio" name="brescrumbs_show" value="no" '.$opt_02.'>
                          <span>No</span></label>
                        <br>
</div>
';
} 

function metatest_save($postID) { 

// пришло ли поле наших данных? 
//if (!isset($_POST['sidebar_position'])) 
//return; 

// не происходит ли автосохранение? 
if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) 
return; 

// не ревизию ли сохраняем? 
if (wp_is_post_revision($postID)) 
return; 

// проверка достоверности запроса 
//check_admin_referer('metatest_action', 'metatest_nonce'); 

// коррекция данных 
$data = sanitize_text_field($_POST['sidebar_position']); 
$data2 = sanitize_text_field($_POST['header_skin_custom']); 
$data3 = sanitize_text_field($_POST['title_line_page']); 
$data4 = sanitize_text_field($_POST['top_sidebar_show']);
$data5 = sanitize_text_field($_POST['brescrumbs_show']);

// запись 
update_post_meta($postID, 'sidebar_position', $data); 
update_post_meta($postID, 'header_skin_custom', $data2); 
update_post_meta($postID, 'title_line_page', $data3); 
update_post_meta($postID, 'top_sidebar_show', $data4); 
update_post_meta($postID, 'brescrumbs_show', $data5);

}
