<?php
/*
Include Custom Options for This Theme
*/
	

add_action('admin_menu', 'create_custom_panel');
function create_custom_panel() {
    add_theme_page('options-theme', 'Theme Options', 'manage_options', 'custom-panel', 'custom_panel');
	
	//call register settings function
	add_action( 'admin_init', 'register_mysettings' ); 
}

/** Register new options */
function register_mysettings() {
	
	register_setting( 'custom-options-group', 'show_logo_and_text' );
	register_setting( 'custom-options-group', 'show_border_menu' );
	register_setting( 'custom-options-group', 'logo_noimage_color' );
	register_setting( 'custom-options-group', 'logo_noimage_size' );
	register_setting( 'custom-options-group', 'slogan_noimage_color' );
	register_setting( 'custom-options-group', 'slogan_noimage_size' );
	register_setting( 'custom-options-group', 'logo_noimage_2row' );
	
	
	register_setting( 'custom-options-group', 'font_size_preloader' );
	register_setting( 'custom-options-group', 'font_color_preloader' );
	
	register_setting( 'custom-options-group', 'show_header_first' );
	register_setting( 'custom-options-group', 'show_ajax_load' );
	register_setting( 'custom-options-group', 'type_preloader' );
	register_setting( 'custom-options-group', 'type_contact' );
	register_setting( 'custom-options-group', 'logo_preloader' );
	register_setting( 'custom-options-group', 'background_preloader' );
	register_setting( 'custom-options-group', 'text_preloader' );
	register_setting( 'custom-options-group', 'text_contact' );
	register_setting( 'custom-options-group', 'field_company' );
	register_setting( 'custom-options-group', 'field_telephone' );
	
	register_setting( 'custom-options-group', 'address_contact' );
	register_setting( 'custom-options-group', 'address_email' );
	register_setting( 'custom-options-group', 'menu_ontop_preloader' );
	register_setting( 'custom-options-group', 'show_header_login' );
	
	register_setting( 'custom-options-group', 'heading_text_comming_soon' );
	register_setting( 'custom-options-group', 'description_text_comming_soon' );
	
	register_setting( 'custom-options-group', 'animation_for_logo' );
	register_setting( 'custom-options-group', 'delay_for_logo' );	
	
	register_setting( 'custom-options-group', 'default_sidebar_position_category' );
	register_setting( 'custom-options-group', 'default_sidebar_position_post' );
	
	register_setting( 'custom-options-group', 'default_list_style_category' );
	register_setting( 'custom-options-group', 'default_post_style_category' );
	
	register_setting( 'custom-options-group', 'default_even_animation_box' );
	register_setting( 'custom-options-group', 'default_even_delay_box' );
	register_setting( 'custom-options-group', 'default_odd_animation_box' );
	register_setting( 'custom-options-group', 'default_odd_delay_box' );
	register_setting( 'custom-options-group', 'default_date_animation_box' );
	register_setting( 'custom-options-group', 'default_date_delay_box' );
	
	register_setting( 'custom-options-group', 'animation_for_menu' );
	register_setting( 'custom-options-group', 'delay_for_menu' );
	
	register_setting( 'custom-options-group', 'menu_fixed' );
	
	register_setting( 'custom-options-group', 'menu_background' );
	register_setting( 'custom-options-group', 'menu_background_hover' );
	register_setting( 'custom-options-group', 'menu_text_color' );
	register_setting( 'custom-options-group', 'menu_text_color_hover' );
	register_setting( 'custom-options-group', 'menu_text_color_current' );
	register_setting( 'custom-options-group', 'menu_border_color_current' );
	register_setting( 'custom-options-group', 'menu_border_color_full' );
	
	register_setting( 'custom-options-group', 'sub_menu_background' );
	register_setting( 'custom-options-group', 'sub_menu_background_hover' );
	register_setting( 'custom-options-group', 'sub_menu_text_color' );
	register_setting( 'custom-options-group', 'sub_menu_text_color_hover' );
	register_setting( 'custom-options-group', 'sub_menu_text_color_current' );
	register_setting( 'custom-options-group', 'sub_menu_border_color_current' );
	
	register_setting( 'custom-options-group', 'border_width_skin_1' );
	register_setting( 'custom-options-group', 'border_width_skin_2' );
	
	register_setting( 'custom-options-group', 'favicon_theme' );
	register_setting( 'custom-options-group', 'logo_in_header' );
	register_setting( 'custom-options-group', 'logo_in_footer' );
	
	register_setting( 'custom-options-group', 'footer_backgroung' );
	register_setting( 'custom-options-group', 'footer_text_color' );

	register_setting( 'custom-options-group', 'fwidgeteria_background' );
	register_setting( 'custom-options-group', 'fwidgeteria_color_text' );
	register_setting( 'custom-options-group', 'fwidgeteria_color_links' );
	register_setting( 'custom-options-group', 'fwidgeteria_color_h3' );
	register_setting( 'custom-options-group', 'fwidgeteria_color_h4' );
	
	register_setting( 'custom-options-group', 'logo_big_size' );
	register_setting( 'custom-options-group', 'footer_copyright' );
	
	register_setting( 'custom-options-group', 'comming_soon' );
	register_setting( 'custom-options-group', 'type_comming_soon' );
	register_setting( 'custom-options-group', 'datatime_startsite' );
	
	register_setting( 'custom-options-group', 'bakground-color-in-header' );
	register_setting( 'custom-options-group', 'telephone-in-header' );
	register_setting( 'custom-options-group', 'adress-in-header' );
	register_setting( 'custom-options-group', 'logo_header_position' );
	register_setting( 'custom-options-group', 'logo_vertical_padding' );
	register_setting( 'custom-options-group', 'menu_vertical_padding' );
	register_setting( 'custom-options-group', 'top_txt_color' );
	
	register_setting( 'custom-options-group', 'top_sdb_background' );
	register_setting( 'custom-options-group', 'logo_sdb_padding' );
	
	register_setting( 'custom-options-group', 'default_body_font' );
	register_setting( 'custom-options-group', 'default_body_fontsize' );
	register_setting( 'custom-options-group', 'default_body_fontcolor' );
	register_setting( 'custom-options-group', 'default_body_fontweight' );
	register_setting( 'custom-options-group', 'default_body_fontstyle' );
	register_setting( 'custom-options-group', 'default_body_lineheight' );
	register_setting( 'custom-options-group', 'default_body_letter_spacing' );

	register_setting( 'custom-options-group', 'default_h1_font' );
	register_setting( 'custom-options-group', 'default_h1_fontsize' );
	register_setting( 'custom-options-group', 'default_h1_fontcolor' );
	register_setting( 'custom-options-group', 'default_h1_fontweight' );
	register_setting( 'custom-options-group', 'default_h1_fontstyle' );
	register_setting( 'custom-options-group', 'default_h1_lineheight' );
	register_setting( 'custom-options-group', 'default_h1_letter_spacing' );
	
	register_setting( 'custom-options-group', 'default_h2_font' );
	register_setting( 'custom-options-group', 'default_h2_fontsize' );
	register_setting( 'custom-options-group', 'default_h2_fontcolor' );
	register_setting( 'custom-options-group', 'default_h2_fontweight' );
	register_setting( 'custom-options-group', 'default_h2_fontstyle' );
	register_setting( 'custom-options-group', 'default_h2_lineheight' );
	register_setting( 'custom-options-group', 'default_h2_letter_spacing' );
	
	register_setting( 'custom-options-group', 'default_h3_font' );
	register_setting( 'custom-options-group', 'default_h3_fontsize' );
	register_setting( 'custom-options-group', 'default_h3_fontcolor' );
	register_setting( 'custom-options-group', 'default_h3_fontweight' );
	register_setting( 'custom-options-group', 'default_h3_fontstyle' );
	register_setting( 'custom-options-group', 'default_h3_lineheight' );
	register_setting( 'custom-options-group', 'default_h3_letter_spacing' );
	
	register_setting( 'custom-options-group', 'default_h4_font' );
	register_setting( 'custom-options-group', 'default_h4_fontsize' );
	register_setting( 'custom-options-group', 'default_h4_fontcolor' );
	register_setting( 'custom-options-group', 'default_h4_fontweight' );
	register_setting( 'custom-options-group', 'default_h4_fontstyle' );
	register_setting( 'custom-options-group', 'default_h4_lineheight' );
	register_setting( 'custom-options-group', 'default_h4_letter_spacing' );
	
	register_setting( 'custom-options-group', 'default_h5_font' );
	register_setting( 'custom-options-group', 'default_h5_fontsize' );
	register_setting( 'custom-options-group', 'default_h5_fontcolor' );
	register_setting( 'custom-options-group', 'default_h5_fontweight' );
	register_setting( 'custom-options-group', 'default_h5_fontstyle' );
	register_setting( 'custom-options-group', 'default_h5_lineheight' );
	register_setting( 'custom-options-group', 'default_h5_letter_spacing' );
	
	register_setting( 'custom-options-group', 'default_h6_font' );
	register_setting( 'custom-options-group', 'default_h6_fontsize' );
	register_setting( 'custom-options-group', 'default_h6_fontcolor' );
	register_setting( 'custom-options-group', 'default_h6_fontweight' );
	register_setting( 'custom-options-group', 'default_h6_fontstyle' );
	register_setting( 'custom-options-group', 'default_h6_lineheight' );
	register_setting( 'custom-options-group', 'default_h6_letter_spacing' );
	
	register_setting( 'custom-options-group', 'social_link_facebook' );
	register_setting( 'custom-options-group', 'social_share_facebook' );
	
	register_setting( 'custom-options-group', 'social_link_twitter ' );
	register_setting( 'custom-options-group', 'social_share_twitter' );
	
	register_setting( 'custom-options-group', 'social_link_google_plus' );
	register_setting( 'custom-options-group', 'social_share_google_plus' );
	
	register_setting( 'custom-options-group', 'social_link_vkontakte' );
	register_setting( 'custom-options-group', 'social_share_vkontakte' );
	
	register_setting( 'custom-options-group', 'social_link_mailru' );
	register_setting( 'custom-options-group', 'social_share_mailru' );
	
	register_setting( 'custom-options-group', 'social_link_odnoklassniki' );
	register_setting( 'custom-options-group', 'social_share_odnoklassniki' );
	
	register_setting( 'custom-options-group', 'social_link_linkedin' );
	register_setting( 'custom-options-group', 'social_share_linkedin' );
	
	register_setting( 'custom-options-group', 'social_link_livejournal' );
	register_setting( 'custom-options-group', 'social_share_livejournal' );
	
	register_setting( 'custom-options-group', 'social_link_tumblr' );
	register_setting( 'custom-options-group', 'social_share_tumblr' );
	
	register_setting( 'custom-options-group', 'line_title_image' );
	register_setting( 'custom-options-group', 'line_title_backcolor' );
	register_setting( 'custom-options-group', 'line_title_textcolor' );
	register_setting( 'custom-options-group', 'animation_line_title' );
	register_setting( 'custom-options-group', 'delay_line_title' );
	register_setting( 'custom-options-group', 'show_brealcrums_line' );
	
	register_setting( 'custom-options-group', 'breadcrums_a_color' );
	register_setting( 'custom-options-group', 'breadcrums_ahover_color' );
	register_setting( 'custom-options-group', 'breadcrums_ccurrent' );
	register_setting( 'custom-options-group', 'breadcrums_text' );
	
	register_setting( 'custom-options-group', 'animation_to_upscroll' );
	register_setting( 'custom-options-group', 'default_map_show' );
	register_setting( 'custom-options-group', 'hidden_current_option' );
		
}

/** Add CSS and JS  from plugin options */
add_action('admin_init', 'include_js_css_options');
function include_js_css_options() {
	wp_enqueue_style("options-style", esc_url( get_template_directory_uri() )
."/includes/admin/options-style.css", false, "1.0", "all");
	wp_enqueue_script("options-script", esc_url( get_template_directory_uri() )
."/includes/admin/options-script.js", false, "1.0");
	wp_enqueue_style( "animation-avesome", esc_url( get_template_directory_uri() ).'/css/font-awesome/css/font-awesome.min.css', false, '1.0', 'all');
}

add_editor_style('css/font-awesome/css/font-awesome.min.css');
add_editor_style('css/my-editor-style.css');

//add_editor_script('css/my-editor-style.js');

/** Echo HTML output options */
function custom_panel(){
	global $animationlist;
	global $animationdelay;
	global $position_sidebar_category;
	global $styles_view_category;
	global $stylized_posts_preview;
	global $google_fonts;
	global $font_weight;
	global $font_style;
?>

<div class="wrap">
  <h2>Custom Theme Options</h2>
<script>
	var currend_id_option = '<?php echo get_option('hidden_current_option'); ?>'; 
</script>
  <form method="post" action="options.php">
    <?php settings_fields( 'custom-options-group' ); ?>
    <div id="wrap_oprions">
      <div class="heading-options">Cyti Guide Theme Options</div>
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td align="left" valign="top" id="left-colum-options"><div id="option-theme-menu">
              <ul>
                <li><a href="#custom-option-general">General</a></li>
                <li><a href="#custom-option-preloader">Preloading Page</a></li>
                <li><a href="#custom-option-blog">Blog</a></li>
                <li><a href="#custom-option-font">Fonts</a></li>
                <li><a href="#custom-option-logo">Logo</a></li>
                <li><a href="#custom-option-menu">Menu</a></li>
                <li><a href="#custom-option-social">Social Links</a></li>
                <li><a href="#custom-option-sharing">Social Sharing</a></li>
                <li><a href="#custom-option-header-second">Header</a></li>
                <li><a href="#custom-option-footer">Footer</a></li>
                <li><a href="#custom-option-contact">Contacts</a></li>
                <li><a href="#custom-option-faqs">Help</a></li>
                <li><a href="#custom-option-commingsoon">Coming Soon Tab</a></li>
                <?php /*<li><a href="#custom-option-demo">Demo Content</a></li>*/ ?>
              </ul>
            </div></td>
          <td align="left" valign="top"  id="right-colum-options"><div id="content-custom-option">
			<div id="custom-option-contact">
<table class="form-table">
                  <tr>
                    <th scope="row">Shortcodes</th>
                    <td>Shortcodes <strong>[contact_cg][/contact_cg]</strong><em> - place this shortcode on page/post</em></td>
                  </tr>
                  <tr>
                    <th scope="row">Select Contact Skin</th>
                    <td><fieldset style="float:left; padding-right:25px;">
                        <legend class="screen-reader-text"><span>
                        Select Skin
                        </span></legend>
                        <label title="skin1">
                          <input type="radio" name="type_contact" value="skin1" <?php checked('skin1', get_option('type_contact')); ?>>
                          <span>skin1</span></label>
                        <br>
                        <label title="skin2">
                          <input type="radio" name="type_contact" value="skin2" <?php checked('skin2', get_option('type_contact')); ?>>
                          <span>skin2</span></label>
                        <br>
                        <label title="skin3">
                          <input type="radio" name="type_contact" value="skin3" <?php checked('skin3', get_option('type_contact')); ?>>
                          <span>skin3</span></label>
                        <br>
                      </fieldset>
                      <img data-src="<?php echo get_stylesheet_directory_uri(); ?>" id="contact-preview" src="<?php if(get_option('type_contact') != 'none') { echo get_stylesheet_directory_uri() . '/template/contact-preloader/' . get_option('type_contact') . '/screen.jpg'; } else { echo get_stylesheet_directory_uri() . '/img/no_img.png'; } ?>"></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Primary Adress</th>
                    <td><input type="text" name="address_contact" value="<?php echo get_option('address_contact'); ?>" style="width:100%" /></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Send To</th>
                    <td><input type="text" name="address_email" value="<?php echo get_option('address_email'); ?>" style="width:100%" /></td>
                  </tr>
                  <tr>
                    <th scope="row">Phone Field</th>
                    <td><fieldset>
                          <input name="field_telephone" type="checkbox" id="field_telephone" value="yes" <?php checked('yes', get_option('field_telephone')); ?> />
                          Enable this field
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Company Field</th>
                    <td><fieldset>
                          <input name="field_company" type="checkbox" id="field_company" value="yes" <?php checked('yes', get_option('field_company')); ?> />
                          Enable this field
                      </fieldset></td>
                  </tr>
                  <?php /*
                  <tr>
                    <th scope="row"><label for="admin_email">
                        Text will be displayed on Contact Page
                      </label></th>
                    <td><textarea name="text_contact" rows="10" cols="50" id="text_contact" class="large-text code"><?php form_option( 'text_contact' ); ?></textarea>
                      <p class="description">
                        Text for show on Contact Page
                      </p></td>
                  </tr>
                  */ ?>
                </table>
              </div>
              <div id="custom-option-general">
                <table class="form-table">
                  <tr>
                    <th scope="row"></th>
                    <td><input name="hidden_current_option" type="hidden" id="hidden_current_option" value="<?php echo get_option('hidden_current_option'); ?>" /></td>
                  </tr>                  <tr>
                    <th scope="row">Enable Animation to up scroll</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Enable Animation to up scroll
                        </span></legend>
                        <label for="animation_to_upscroll">
                          <input name="animation_to_upscroll" type="checkbox" id="animation_to_upscroll" value="enable" <?php checked('enable', get_option('animation_to_upscroll')); ?> />
                          Check this option to allow up-scroll animation
                        </label>
                      </fieldset></td>
                  </tr>
<tr>
                    <th scope="row">Enable Map Default</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Show Map for the all pages as default setting
                        </span></legend>
                        <label for="default_map_show">
                          <input name="default_map_show" type="checkbox" id="default_map_show" value="enable" <?php checked('enable', get_option('default_map_show')); ?> />
                          Show Map for the all pages as default setting
                        </label>
                      </fieldset></td>
                  </tr>
                </table>
              </div>
              <div id="custom-option-commingsoon">
                <table class="form-table">
                  <tr>
                    <th scope="row">Enable Coming Soon Page</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Enable Coming Soon Page
                        </span></legend>
                        <label for="comming_soon">
                          <input name="comming_soon" type="checkbox" id="comming_soon" value="enable" <?php checked('enable', get_option('comming_soon')); ?> />
                          Show coming soon page while making site changes
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                  <tr>
                    <th scope="row">Select Coming Soon Skin</th>
                    <td><fieldset style="float:left; padding-right:25px;">
                        <legend class="screen-reader-text"><span>
                        Select Skin
                        </span></legend>
                        <!--<label title="skin1">
                          <input type="radio" name="type_comming_soon" value="skin1" <?php checked('skin1', get_option('type_comming_soon')); ?>>
                          <span>skin1</span></label>
                        <br>-->
                        <label title="skin2">
                          <input type="radio" name="type_comming_soon" value="skin2" <?php checked('skin2', get_option('type_comming_soon')); ?>>
                          <span>skin1</span></label>
                        <br>
                      </fieldset>
                      <img data-src="<?php echo get_stylesheet_directory_uri(); ?>" id="comming_soon-preview" src="<?php if(get_option('type_comming_soon') != '') { echo get_stylesheet_directory_uri() . '/img/coming_soon_' . get_option('type_comming_soon') . '.jpg'; } else { echo get_stylesheet_directory_uri() . '/img/coming_soon_skin1.jpg'; } ?>"></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Date and time of Site Starting</th>
                    <td><input type="text" name="datatime_startsite" value="<?php echo get_option('datatime_startsite'); ?>" /> example: <em>2015-10-18 12:10:00</em></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Heading Text</th>
                    <td><input type="text" name="heading_text_comming_soon" value="<?php echo get_option('heading_text_comming_soon'); ?>" style="width:100%" /></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Coming Soon Description</th>
                    <td><textarea name="description_text_comming_soon" rows="10" cols="50" id="description_text_comming_soon" class="large-text code"><?php form_option( 'description_text_comming_soon' ); ?></textarea></td>
                  </tr>
                </table>
              </div>
              <div id="custom-option-blog">
                <table class="form-table">
                  <tr>
                    <th scope="row"><h3>Category default</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Full/Left/Right sidebar</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Full/Left/Right sidebar
                        </span></legend>
                        <label for="default_sidebar_position_category">
                          <select name="default_sidebar_position_category" id="default_sidebar_position_category" style="width:200px;">
                          	<?php echo option_builder($position_sidebar_category, get_option('default_sidebar_position_category')); ?>
                          </select>
                          Sidebar position in category
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Category skin</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        List/Grid/Timeline
                        </span></legend>
                        <label for="default_list_style_category">
                          <select name="default_list_style_category" id="default_list_style_category" style="width:200px;">
                          	<?php echo option_builder($styles_view_category, get_option('default_list_style_category')); ?>
                          </select>
                          Style category preview
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Standart/Masonry</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Standart/Masonry
                        </span></legend>
                        <label for="default_post_style_category">
                          <select name="default_post_style_category" id="default_post_style_category" style="width:200px;">
                          	<?php echo option_builder($stylized_posts_preview, get_option('default_post_style_category')); ?>
                          </select>
                          Style post preview in category
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row"><h3>Even block</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation all box</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation all box
                        </span></legend>
                        <label for="default_even_animation_box">
                            <select name="default_even_animation_box" id="default_even_animation_box" style="width:200px;">
                            	<?php echo option_builder($animationlist, get_option('default_even_animation_box')); ?>
                            </select>
                          Animation for boxes
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation dellay boxes</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation dellay boxes
                        </span></legend>
                        <label for="default_even_delay_box">
                            <select name="default_even_delay_box" id="default_even_delay_box" style="width:200px;">
                            	<?php echo option_builder($animationdelay, get_option('default_even_delay_box')); ?>
                            </select>
                          Animation (sec.)
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row"><h3>Odd block</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation all box</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation all box
                        </span></legend>
                        <label for="default_odd_animation_box">
                            <select name="default_odd_animation_box" id="default_odd_animation_box" style="width:200px;">
                            	<?php echo option_builder($animationlist, get_option('default_odd_animation_box')); ?>
                            </select>
                          Animation for boxes
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation dellay boxes</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation dellay boxes
                        </span></legend>
                        <label for="default_odd_delay_box">
                            <select name="default_odd_delay_box" id="default_odd_delay_box" style="width:200px;">
                            	<?php echo option_builder($animationdelay, get_option('default_odd_delay_box')); ?>
                            </select>
                          Animation (sec.)
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row"><h3>Date icon</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation all box</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation all box
                        </span></legend>
                        <label for="default_date_animation_box">
                            <select name="default_date_animation_box" id="default_date_animation_box" style="width:200px;">
                            	<?php echo option_builder($animationlist, get_option('default_date_animation_box')); ?>
                            </select>
                          Animation for boxes
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation dellay boxes</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation dellay boxes
                        </span></legend>
                        <label for="default_date_delay_box">
                            <select name="default_date_delay_box" id="default_date_delay_box" style="width:200px;">
                            	<?php echo option_builder($animationdelay, get_option('default_date_delay_box')); ?>
                            </select>
                          Animation (sec.)
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row"><h3>Single post default</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Full/Left/Right sidebar</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Full/Left/Right sidebar
                        </span></legend>
                        <label for="default_sidebar_position_post">
                          <select name="default_sidebar_position_post" id="default_sidebar_position_post" style="width:200px;">
                            <option value="full" <?php echo (get_option('default_sidebar_position_post') == 'full') ? 'selected="selected"' : ''; ?>>Full</option>
                            <option value="left" <?php echo (get_option('default_sidebar_position_post') == 'left') ? 'selected="selected"' : ''; ?>>Left</option>
                            <option value="right" <?php echo (get_option('default_sidebar_position_post') == 'right') ? 'selected="selected"' : ''; ?>>Right</option>
                          </select>
                          Sidebar position in post
                        </label>
                      </fieldset></td>
                  </tr>
                </table>
              </div>
              <div id="custom-option-preloader">
                <table class="form-table">
                  <tr>
                    <th scope="row">Select Preloader Skin</th>
                    <td><fieldset style="float:left; padding-right:25px;">
                        <legend class="screen-reader-text"><span>
                        Select Preloader
                        </span></legend>
                        <label title="none">
                          <input type="radio" name="type_preloader" value="none" <?php checked('none', get_option('type_preloader')); ?>>
                          <span>none</span></label>
                        <br>
                        <label title="skin1">
                          <input type="radio" name="type_preloader" value="skin1" <?php checked('skin1', get_option('type_preloader')); ?>>
                          <span>skin1</span></label>
                        <br>
                        <label title="skin2">
                          <input type="radio" name="type_preloader" value="skin2" <?php checked('skin2', get_option('type_preloader')); ?>>
                          <span>skin2</span></label>
                        <br>
                        <label title="skin3">
                          <input type="radio" name="type_preloader" value="skin3" <?php checked('skin3', get_option('type_preloader')); ?>>
                          <span>skin3</span></label>
                        <br>
                        <label title="skin4">
                          <input type="radio" name="type_preloader" value="skin4" <?php checked('skin4', get_option('type_preloader')); ?>>
                          <span>skin4</span></label>
                        <br>
                      </fieldset>
                      <img data-src="<?php echo get_stylesheet_directory_uri(); ?>" id="skin-preview" src="<?php if(get_option('type_preloader') != 'none') { echo get_stylesheet_directory_uri() . '/template/skin-preloader/' . get_option('type_preloader') . '/screen.jpg'; } else { echo get_stylesheet_directory_uri() . '/img/no_img.png'; } ?>"></td>
                  </tr>
                  <tr>
                    <th scope="row">Logo in Preloader</th>
                    <td><?php true_image_uploader_field('logo_preloader', get_option('logo_preloader'));?></td>
                  </tr>
                  <tr>
                    <th scope="row">Background in Preloader</th>
                    <td><?php true_image_uploader_field('background_preloader', get_option('background_preloader'));?></td>
                  </tr>
                  <tr>
                    <th scope="row">Font Size Descritpion</th>
                    <td><input type="number" name="font_size_preloader" value="<?php echo get_option('font_size_preloader'); ?>"/> px</td>
                  </tr>
                  <tr>
                    <th scope="row">Font Color Descritpion</th>
                    <td><input type="color" name="font_color_preloader" value="<?php echo get_option('font_color_preloader'); ?>" /> <?php echo get_option('font_color_preloader'); ?></td>
                  </tr>
                  <tr>
                    <th scope="row"><label for="admin_email">
                        Text Preloader
                      </label></th>
                    <td><textarea name="text_preloader" rows="10" cols="50" id="text_preloader" class="large-text code"><?php form_option( 'text_preloader' ); ?></textarea>
                      <p class="description">
                        Texf for show on preloader Page
                      </p></td>
                  </tr>
                </table>
              </div>
              <div id="custom-option-logo">
                <table class="form-table">
                  <tr valign="top">
                    <th colspan="2" scope="row"><h2>Logo No Image</h2></th>
                  </tr>
                  <tr>
                    <th scope="row">Show logo and text</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Show logo and text
                        </span></legend>
                        <label for="show_ajax_load">
                          <input name="show_logo_and_text" type="checkbox" id="show_logo_and_text" value="show" <?php checked('show', get_option('show_logo_and_text')); ?> />
                          Enable to show logo and text
                        </label>
                      </fieldset></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Default logo (no image)</th>
                    <td><div class="logo_default" style="display:block; color:<?php echo get_option('logo_noimage_color'); ?>; font-size:<?php echo get_option('logo_noimage_size'); ?>px;"><?php echo get_option('blogname'); ?> <span style=" color:<?php echo get_option('slogan_noimage_color'); ?>; font-size:<?php echo get_option('slogan_noimage_size'); ?>px; <?php if ( get_option('logo_noimage_2row') == '2row' ) { echo 'display:block';} ?>"><?php echo get_option('blogdescription'); ?></span></div></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Color logo</th>
                    <td><input class="logo_change" type="color" name="logo_noimage_color" value="<?php echo get_option('logo_noimage_color'); ?>" /> <?php echo get_option('logo_noimage_color'); ?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Fontsize logo</th>
                    <td><input class="logo_change" type="number" name="logo_noimage_size" value="<?php echo get_option('logo_noimage_size'); ?>"  /> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Site Title and Tagline in:</th>
                    <td>
                        <input class="logo_change" type="radio" name="logo_noimage_2row" value="1row" <?php checked('1row', get_option('logo_noimage_2row')); ?>><span>1row&nbsp;&nbsp;&nbsp;</span>
                        <input class="logo_change" type="radio" name="logo_noimage_2row" value="2row" <?php checked('2row', get_option('logo_noimage_2row')); ?>><span>2row</span>  
                    </td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Color slogan</th>
                    <td><input class="logo_change" type="color" name="slogan_noimage_color" value="<?php echo get_option('slogan_noimage_color'); ?>" /><?php echo get_option('slogan_noimage_color'); ?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Fontsize slogan</th>
                    <td><input class="logo_change" type="number" name="slogan_noimage_size" value="<?php echo get_option('slogan_noimage_size'); ?>"  /> px</td>
                  </tr>
                  <tr valign="top">
                    <th colspan="2" scope="row"><h2>Logo Images</h2></th>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Favicon</th>
                    <td><?php true_image_uploader_field('favicon_theme', get_option('favicon_theme'));?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Logo in header</th>
                    <td><?php true_image_uploader_field('logo_in_header', get_option('logo_in_header'));?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Logo in footer</th>
                    <td><?php true_image_uploader_field('logo_in_footer', get_option('logo_in_footer'));?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Logo big size</th>
                    <td><?php true_image_uploader_field('logo_big_size', get_option('logo_big_size'));?></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation logo</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation logo
                        </span></legend>
                        <label for="animation_for_logo">
                            <select name="animation_for_logo" id="animation_for_logo" style="width:200px;">
                            	<?php echo option_builder($animationlist, get_option('animation_for_logo')); ?>
                            </select>
                          Animation for logo
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation dellay logo</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation dellay logo
                        </span></legend>
                        <label for="delay_for_logo">
                            <select name="delay_for_logo" id="delay_for_logo" style="width:200px;">
                            	<?php echo option_builder($animationdelay, get_option('delay_for_logo')); ?>
                            </select>
                          Animation (sec.)
                        </label>
                      </fieldset></td>
                  </tr>
                </table>
              </div>
              <div id="custom-option-font">
                <table class="form-table">
                  <tr>
                    <th scope="row"><h3>Body styles</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Family</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Family
                        </span></legend>
                        <label for="default_body_font">
                            <select name="default_body_font" id="default_body_font" style="width:200px;">
                            	<?php echo option_builder($google_fonts, get_option('default_body_font')); ?>
                            </select>
                          Family
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Weight</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Weight
                        </span></legend>
                        <label for="default_body_fontweight">
                            <select name="default_body_fontweight" id="default_body_fontweight" style="width:200px;">
                            	<?php echo option_builder($font_weight, get_option('default_body_fontweight')); ?>
                            </select>
                          Weight
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Style</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Style
                        </span></legend>
                        <label for="default_body_fontstyle">
                            <select name="default_body_fontstyle" id="default_body_fontstyle" style="width:200px;">
                            	<?php echo option_builder($font_style, get_option('default_body_fontstyle')); ?>
                            </select>
                          Style
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Size</th>
                    <td><input type="text" name="default_body_fontsize" value="<?php echo get_option('default_body_fontsize'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Lineheight</th>
                    <td><input type="text" name="default_body_lineheight" value="<?php echo get_option('default_body_lineheight'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Letter Spacing</th>
                    <td><input type="text" name="default_body_letter_spacing" value="<?php echo get_option('default_body_letter_spacing'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font color</th>
                    <td><input type="color" name="default_body_fontcolor" value="<?php echo get_option('default_body_fontcolor'); ?>"/> <?php echo get_option('default_body_fontcolor'); ?></td>
                  </tr>
                  
                  <tr>
                    <th scope="row"><h3>H1 styles</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Family</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Family
                        </span></legend>
                        <label for="default_h1_font">
                            <select name="default_h1_font" id="default_h1_font" style="width:200px;">
                            	<?php echo option_builder($google_fonts, get_option('default_h1_font')); ?>
                            </select>
                          Family
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Weight</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Weight
                        </span></legend>
                        <label for="default_h1_fontweight">
                            <select name="default_h1_fontweight" id="default_h1_fontweight" style="width:200px;">
                            	<?php echo option_builder($font_weight, get_option('default_h1_fontweight')); ?>
                            </select>
                          Weight
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Style</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Style
                        </span></legend>
                        <label for="default_h1_fontstyle">
                            <select name="default_h1_fontstyle" id="default_h1_fontstyle" style="width:200px;">
                            	<?php echo option_builder($font_style, get_option('default_h1_fontstyle')); ?>
                            </select>
                          Style
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Size</th>
                    <td><input type="text" name="default_h1_fontsize" value="<?php echo get_option('default_h1_fontsize'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Lineheight</th>
                    <td><input type="text" name="default_h1_lineheight" value="<?php echo get_option('default_h1_lineheight'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Letter Spacing</th>
                    <td><input type="text" name="default_h1_letter_spacing" value="<?php echo get_option('default_h1_letter_spacing'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font color</th>
                    <td><input type="color" name="default_h1_fontcolor" value="<?php echo get_option('default_h1_fontcolor'); ?>"/> <?php echo get_option('default_h1_fontcolor'); ?></td>
                  </tr>
      
                  <tr>
                    <th scope="row"><h3>H2 styles</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Family</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Family
                        </span></legend>
                        <label for="default_h2_font">
                            <select name="default_h2_font" id="default_h2_font" style="width:200px;">
                            	<?php echo option_builder($google_fonts, get_option('default_h2_font')); ?>
                            </select>
                          Family
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Weight</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Weight
                        </span></legend>
                        <label for="default_h2_fontweight">
                            <select name="default_h2_fontweight" id="default_h2_fontweight" style="width:200px;">
                            	<?php echo option_builder($font_weight, get_option('default_h2_fontweight')); ?>
                            </select>
                          Weight
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Style</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Style
                        </span></legend>
                        <label for="default_h2_fontstyle">
                            <select name="default_h2_fontstyle" id="default_h2_fontstyle" style="width:200px;">
                            	<?php echo option_builder($font_style, get_option('default_h2_fontstyle')); ?>
                            </select>
                          Style
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Size</th>
                    <td><input type="text" name="default_h2_fontsize" value="<?php echo get_option('default_h2_fontsize'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Lineheight</th>
                    <td><input type="text" name="default_h2_lineheight" value="<?php echo get_option('default_h2_lineheight'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Letter Spacing</th>
                    <td><input type="text" name="default_h2_letter_spacing" value="<?php echo get_option('default_h2_letter_spacing'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font color</th>
                    <td><input type="color" name="default_h2_fontcolor" value="<?php echo get_option('default_h2_fontcolor'); ?>"/> <?php echo get_option('default_h2_fontcolor'); ?></td>
                  </tr>
                  
                  <tr>
                    <th scope="row"><h3>H3 styles</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Family</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Family
                        </span></legend>
                        <label for="default_h3_font">
                            <select name="default_h3_font" id="default_h3_font" style="width:200px;">
                            	<?php echo option_builder($google_fonts, get_option('default_h3_font')); ?>
                            </select>
                          Family
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Weight</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Weight
                        </span></legend>
                        <label for="default_h3_fontweight">
                            <select name="default_h3_fontweight" id="default_h3_fontweight" style="width:200px;">
                            	<?php echo option_builder($font_weight, get_option('default_h3_fontweight')); ?>
                            </select>
                          Weight
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Style</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Style
                        </span></legend>
                        <label for="default_h3_fontstyle">
                            <select name="default_h3_fontstyle" id="default_h3_fontstyle" style="width:200px;">
                            	<?php echo option_builder($font_style, get_option('default_h3_fontstyle')); ?>
                            </select>
                          Style
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Size</th>
                    <td><input type="text" name="default_h3_fontsize" value="<?php echo get_option('default_h3_fontsize'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Lineheight</th>
                    <td><input type="text" name="default_h3_lineheight" value="<?php echo get_option('default_h3_lineheight'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Letter Spacing</th>
                    <td><input type="text" name="default_h3_letter_spacing" value="<?php echo get_option('default_h3_letter_spacing'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font color</th>
                    <td><input type="color" name="default_h3_fontcolor" value="<?php echo get_option('default_h3_fontcolor'); ?>"/> <?php echo get_option('default_h3_fontcolor'); ?></td>
                  </tr>
                  
                  <tr>
                    <th scope="row"><h3>H4 styles</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Family</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Family
                        </span></legend>
                        <label for="default_h4_font">
                            <select name="default_h4_font" id="default_h4_font" style="width:200px;">
                            	<?php echo option_builder($google_fonts, get_option('default_h4_font')); ?>
                            </select>
                          Family
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Weight</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Weight
                        </span></legend>
                        <label for="default_h4_fontweight">
                            <select name="default_h4_fontweight" id="default_h4_fontweight" style="width:200px;">
                            	<?php echo option_builder($font_weight, get_option('default_h4_fontweight')); ?>
                            </select>
                          Weight
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Style</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Style
                        </span></legend>
                        <label for="default_h4_fontstyle">
                            <select name="default_h4_fontstyle" id="default_h4_fontstyle" style="width:200px;">
                            	<?php echo option_builder($font_style, get_option('default_h4_fontstyle')); ?>
                            </select>
                          Style
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Size</th>
                    <td><input type="text" name="default_h4_fontsize" value="<?php echo get_option('default_h4_fontsize'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Lineheight</th>
                    <td><input type="text" name="default_h4_lineheight" value="<?php echo get_option('default_h4_lineheight'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Letter Spacing</th>
                    <td><input type="text" name="default_h4_letter_spacing" value="<?php echo get_option('default_h4_letter_spacing'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font color</th>
                    <td><input type="color" name="default_h4_fontcolor" value="<?php echo get_option('default_h4_fontcolor'); ?>"/> <?php echo get_option('default_h4_fontcolor'); ?></td>
                  </tr>
                  
                  <tr>
                    <th scope="row"><h3>H5 styles</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Family</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Family
                        </span></legend>
                        <label for="default_h5_font">
                            <select name="default_h5_font" id="default_h5_font" style="width:200px;">
                            	<?php echo option_builder($google_fonts, get_option('default_h5_font')); ?>
                            </select>
                          Family
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Weight</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Weight
                        </span></legend>
                        <label for="default_h5_fontweight">
                            <select name="default_h5_fontweight" id="default_h5_fontweight" style="width:200px;">
                            	<?php echo option_builder($font_weight, get_option('default_h5_fontweight')); ?>
                            </select>
                          Weight
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Style</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Style
                        </span></legend>
                        <label for="default_h5_fontstyle">
                            <select name="default_h5_fontstyle" id="default_h5_fontstyle" style="width:200px;">
                            	<?php echo option_builder($font_style, get_option('default_h5_fontstyle')); ?>
                            </select>
                          Style
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Size</th>
                    <td><input type="text" name="default_h5_fontsize" value="<?php echo get_option('default_h5_fontsize'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Lineheight</th>
                    <td><input type="text" name="default_h5_lineheight" value="<?php echo get_option('default_h5_lineheight'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Letter Spacing</th>
                    <td><input type="text" name="default_h5_letter_spacing" value="<?php echo get_option('default_h5_letter_spacing'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font color</th>
                    <td><input type="color" name="default_h5_fontcolor" value="<?php echo get_option('default_h5_fontcolor'); ?>"/> <?php echo get_option('default_h5_fontcolor'); ?></td>
                  </tr>
                  
                  <tr>
                    <th scope="row"><h3>H6 styles</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Family</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Family
                        </span></legend>
                        <label for="default_h6_font">
                            <select name="default_h6_font" id="default_h6_font" style="width:200px;">
                            	<?php echo option_builder($google_fonts, get_option('default_h6_font')); ?>
                            </select>
                          Family
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Weight</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Weight
                        </span></legend>
                        <label for="default_h6_fontweight">
                            <select name="default_h6_fontweight" id="default_h6_fontweight" style="width:200px;">
                            	<?php echo option_builder($font_weight, get_option('default_h6_fontweight')); ?>
                            </select>
                          Weight
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Default Font Style</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Default Font Style
                        </span></legend>
                        <label for="default_h6_fontstyle">
                            <select name="default_h6_fontstyle" id="default_h6_fontstyle" style="width:200px;">
                            	<?php echo option_builder($font_style, get_option('default_h6_fontstyle')); ?>
                            </select>
                          Style
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Size</th>
                    <td><input type="text" name="default_h6_fontsize" value="<?php echo get_option('default_h6_fontsize'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Lineheight</th>
                    <td><input type="text" name="default_h6_lineheight" value="<?php echo get_option('default_h6_lineheight'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font Letter Spacing</th>
                    <td><input type="text" name="default_h6_letter_spacing" value="<?php echo get_option('default_h6_letter_spacing'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Default Font color</th>
                    <td><input type="color" name="default_h6_fontcolor" value="<?php echo get_option('default_h6_fontcolor'); ?>"/> <?php echo get_option('default_h6_fontcolor'); ?></td>
                  </tr>
                  
                </table>
              </div>
              <div id="custom-option-menu">
                <table class="form-table">
                  <tr>
                    <th scope="row">Enable AJAX menu</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Enable AJAX menu
                        </span></legend>
                        <label for="show_ajax_load">
                          <input name="show_ajax_load" type="checkbox" id="show_ajax_load" value="enable_ajax_page" <?php checked('enable_ajax_page', get_option('show_ajax_load')); ?> />
                          Enable to download content without additional page reloading
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Top menu at Preloading Page</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Top menu at Preloading Page
                        </span></legend>
                        <label for="menu_ontop_preloader">
                          <input name="menu_ontop_preloader" type="checkbox" id="menu_ontop_preloader" value="header-up-preloader" <?php checked('header-up-preloader', get_option('menu_ontop_preloader')); ?> />
                          Enable menu at the top of Preloading Page
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Menu sticky</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Menu sticky
                        </span></legend>
                        <label for="menu_fixed">
                          <input name="menu_fixed" type="checkbox" id="menu_fixed" value="header-fixed" <?php checked('header-fixed', get_option('menu_fixed')); ?> />
                          Check to fixed menu when scrolling
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation menu</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation menu
                        </span></legend>
                        <label for="animation_for_menu">
                            <select name="animation_for_menu" id="animation_for_menu" style="width:200px;">
                            	<?php echo option_builder($animationlist, get_option('animation_for_menu')); ?>
                            </select>
                          Animation menu
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation dellay menu</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation dellay menu
                        </span></legend>
                        <label for="delay_for_menu">
                            <select name="delay_for_menu" id="delay_for_menu" style="width:200px;">
                            	<?php echo option_builder($animationdelay, get_option('delay_for_menu')); ?>
                            </select>
                          Animation (sec.)
                        </label>
                      </fieldset></td>
                  </tr>

                  <tr valign="top">
                    <th scope="row"><h2>Preset Theme</h2></th>
                    <td></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Select preset</th>
                    <td><input name="Default" type="button" value="Default" id="default_menu_preset" style="background-color:#0CF; color:#FFF" /><!-- <input name="Black Green" type="button" value="Black Green" id="black_red_menu_preset" style="background-color:#000; color: #0C0" />--></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><h2>1 lvl Menu</h2></th>
                    <td></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Menu background</th>
                    <td><input type="color" name="menu_background" value="<?php echo get_option('menu_background'); ?>"/> <?php echo get_option('menu_background'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Menu background (Hover)</th>
                    <td><input type="color"  name="menu_background_hover" value="<?php echo get_option('menu_background_hover'); ?>"/> <?php echo get_option('menu_background_hover'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Text color</th>
                    <td><input type="color" name="menu_text_color" value="<?php echo get_option('menu_text_color'); ?>"/> <?php echo get_option('menu_text_color'); ?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Text color (Hover)</th>
                    <td><input type="color" name="menu_text_color_hover" value="<?php echo get_option('menu_text_color_hover'); ?>"/> <?php echo get_option('menu_text_color_hover'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Selected menu item text color</th>
                    <td><input type="color" name="menu_text_color_current" value="<?php echo get_option('menu_text_color_current'); ?>"/> <?php echo get_option('menu_text_color_current'); ?></td>
                  </tr>

                  <tr valign="top">
                    <th scope="row">Selected menu item border color</th>
                    <td><input type="color" name="menu_border_color_current" value="<?php echo get_option('menu_border_color_current'); ?>"/> <?php echo get_option('menu_border_color_current'); ?></td>
                  </tr>
                                    
                  <tr valign="top">
                    <th scope="row"><h2>Sub Menu lvl</h2></th>
                    <td></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Menu background</th>
                    <td><input type="color" name="sub_menu_background" value="<?php echo get_option('sub_menu_background'); ?>"/> <?php echo get_option('sub_menu_background'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Menu background (Hover)</th>
                    <td><input type="color"  name="sub_menu_background_hover" value="<?php echo get_option('sub_menu_background_hover'); ?>"/> <?php echo get_option('sub_menu_background_hover'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Text color</th>
                    <td><input type="color" name="sub_menu_text_color" value="<?php echo get_option('sub_menu_text_color'); ?>"/> <?php echo get_option('sub_menu_text_color'); ?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Text color (Hover)</th>
                    <td><input type="color" name="sub_menu_text_color_hover" value="<?php echo get_option('sub_menu_text_color_hover'); ?>"/> <?php echo get_option('sub_menu_text_color_hover'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Current menu text color</th>
                    <td><input type="color" name="sub_menu_text_color_current" value="<?php echo get_option('sub_menu_text_color_current'); ?>"/> <?php echo get_option('sub_menu_text_color_current'); ?></td>
                  </tr>

                  <tr valign="top">
                    <th scope="row">Current menu border color</th>
                    <td><input type="color" name="sub_menu_border_color_current" value="<?php echo get_option('sub_menu_border_color_current'); ?>"/> <?php echo get_option('sub_menu_border_color_current'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Show border</th>
                    <td><input name="show_border_menu" type="checkbox" id="show_border_menu" value="yes" <?php checked('yes', get_option('show_border_menu')); ?> /></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><h2>Padding</h2></th>
                    <td></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Full width menu border color</th>
                    <td><input type="color" name="menu_border_color_full" value="<?php echo get_option('menu_border_color_full'); ?>"/> <?php echo get_option('menu_border_color_full'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Border thickness skin 1</th>
                    <td><input type="text" name="border_width_skin_1" value="<?php echo get_option('border_width_skin_1'); ?>"/> px</td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Border thickness skin 2</th>
                    <td><input type="text" name="border_width_skin_2" value="<?php echo get_option('border_width_skin_2'); ?>"/> px</td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Logo vertical padding</th>
                    <td><input type="text" name="logo_vertical_padding" value="<?php echo get_option('logo_vertical_padding'); ?>"/> px</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Menu vertical padding</th>
                    <td><input type="text" name="menu_vertical_padding" value="<?php echo get_option('menu_vertical_padding'); ?>"/> px</td>
                  </tr>

                </table>
              </div>
              
<div id="custom-option-social">
                <table class="form-table">
                  <tr valign="top">
                    <th colspan="2" align="left" scope="row"><h3>Place links to your social accounts:</h3></th>
                  </tr>                
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-facebook"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Facebook link</th>
                    <td><input type="text" name="social_link_facebook" value="<?php echo get_option('social_link_facebook'); ?>"/> link page</td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-twitter"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Twitter link</th>
                    <td><input type="text" name="social_link_twitter" value="<?php echo get_option('social_link_twitter'); ?>"/> link page</td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-google-plus"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Google Plus link</th>
                    <td><input type="text" name="social_link_google_plus" value="<?php echo get_option('social_link_google_plus'); ?>"/> link page</td>
                  </tr>

                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-vk"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Vkontakte link</th>
                    <td><input type="text" name="social_link_vkontakte" value="<?php echo get_option('social_link_vkontakte'); ?>"/> link page</td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-at"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">MailRu link</th>
                    <td><input type="text" name="social_link_mailru" value="<?php echo get_option('social_link_mailru'); ?>"/> link page</td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico">ok</span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Odnoklassniki link</th>
                    <td><input type="text" name="social_link_odnoklassniki" value="<?php echo get_option('social_link_odnoklassniki'); ?>"/> link page</td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-linkedin"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">LinkedIn link</th>
                    <td><input type="text" name="social_link_linkedin" value="<?php echo get_option('social_link_linkedin'); ?>"/> link page</td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-pencil"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">LiveJournal link</th>
                    <td><input type="text" name="social_link_livejournal" value="<?php echo get_option('social_link_livejournal'); ?>"/>  link page</td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-tumblr"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Tumblr link</th>
                    <td><input type="text" name="social_link_tumblr" value="<?php echo get_option('social_link_tumblr'); ?>"/> link page</td>
                  </tr>
                  
                  
                </table>
              </div>
              
<div id="custom-option-sharing">
                <table class="form-table">
                  <tr valign="top">
                    <th colspan="2" align="left" scope="row"><h3>Choose social networks to share your content:</h3></th>
                  </tr>                
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-facebook"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <th scope="row">Enable Facebook share</th>
                    <td><fieldset>
                        <label for="social_share_facebook">
                          <input name="social_share_facebook" type="checkbox" id="social_share_facebook" value="enable" <?php checked('enable', get_option('social_share_facebook')); ?> />
                          &nbsp;
                        </label>
                      </fieldset></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-twitter"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <th scope="row">Enable Twitter share</th>
                    <td><fieldset>
                        <label for="social_share_twitter">
                          <input name="social_share_twitter" type="checkbox" id="social_share_twitter" value="enable" <?php checked('enable', get_option('social_share_twitter')); ?> />
                          &nbsp;
                        </label>
                      </fieldset></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-google-plus"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <th scope="row">Enable Google Plus share</th>
                    <td><fieldset>
                        <label for="social_share_google_plus">
                          <input name="social_share_google_plus" type="checkbox" id="social_share_google_plus" value="enable" <?php checked('enable', get_option('social_share_google_plus')); ?> />
                          &nbsp;
                        </label>
                      </fieldset></td>
                  </tr>

                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-vk"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <th scope="row">Enable Vkontakte share</th>
                    <td><fieldset>
                        <label for="social_share_vkontakte">
                          <input name="social_share_vkontakte" type="checkbox" id="social_share_vkontakte" value="enable" <?php checked('enable', get_option('social_share_vkontakte')); ?> />
                          &nbsp;
                        </label>
                      </fieldset></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-at"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <th scope="row">Enable MailRu share</th>
                    <td><fieldset>
                        <label for="social_share_mailru">
                          <input name="social_share_mailru" type="checkbox" id="social_share_mailru" value="enable" <?php checked('enable', get_option('social_share_mailru')); ?> />
                          &nbsp;
                        </label>
                      </fieldset></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico">ok</span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <th scope="row">Enable Odnoklassniki share</th>
                    <td><fieldset>
                        <label for="social_share_odnoklassniki">
                          <input name="social_share_odnoklassniki" type="checkbox" id="social_share_odnoklassniki" value="enable" <?php checked('enable', get_option('social_share_odnoklassniki')); ?> />
                          &nbsp;
                        </label>
                      </fieldset></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-linkedin"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <th scope="row">Enable LinkedIn share</th>
                    <td><fieldset>
                        <label for="social_share_linkedin">
                          <input name="social_share_linkedin" type="checkbox" id="social_share_linkedin" value="enable" <?php checked('enable', get_option('social_share_linkedin')); ?> />
                          &nbsp;
                        </label>
                      </fieldset></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-pencil"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <th scope="row">Enable LiveJournal share</th>
                    <td><fieldset>
                        <label for="social_share_livejournal">
                          <input name="social_share_livejournal" type="checkbox" id="social_share_livejournal" value="enable" <?php checked('enable', get_option('social_share_livejournal')); ?> />
                          &nbsp;
                        </label>
                      </fieldset></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><span class="social_ico"><i class="fa fa-tumblr"></i></span></th>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <th scope="row">Enable Tumblr share</th>
                    <td><fieldset>
                        <label for="social_share_tumblr">
                          <input name="social_share_tumblr" type="checkbox" id="social_share_tumblr" value="enable" <?php checked('enable', get_option('social_share_tumblr')); ?> />
                          &nbsp;
                        </label>
                      </fieldset></td>
                  </tr>
                  
                  
                </table>
              </div>
              
              <div id="custom-option-header-second">
                <table class="form-table">
				  <tr>
                    <th scope="row">Select Header Skin</th>
                    <td><fieldset style="float:left; padding-right:25px;">
                        <legend class="screen-reader-text"><span>
                        Header Skin
                        </span></legend>
                        <label title="skin1">
                          <input type="radio" name="logo_header_position" value="skin1" <?php checked('skin1', get_option('logo_header_position')); ?>>
                          <span>skin1</span></label>
                        <br>
                        <label title="skin2">
                          <input type="radio" name="logo_header_position" value="skin2" <?php checked('skin2', get_option('logo_header_position')); ?>>
                          <span>skin2</span></label>
                        <br>
                      </fieldset>
                      <img data-src="<?php echo get_stylesheet_directory_uri(); ?>" id="logo_header_position" src="<?php if(get_option('logo_header_position') != '') { echo get_stylesheet_directory_uri() . '/img/header_' . get_option('logo_header_position') . '.jpg'; } else { echo get_stylesheet_directory_uri() . '/img/header_skin1.jpg'; } ?>"></td>
                  </tr>
                  <tr>
                    <th scope="row">Enable/Disable Login</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Enable/Disable Login
                        </span></legend>
                        <label for="show_header_login">
                          <input name="show_header_login" type="checkbox" id="show_header_login" value="1" <?php checked('1', get_option('show_header_login')); ?> />
                          Allow site visitors to login on your site
                        </label>
                      </fieldset></td>
                  </tr>
                </table>
                
                <table class="form-table">
                  <tr valign="top">
                    <th scope="row"><h3>Top Bar</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Enable/Disable Area</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Enable/Disable Area
                        </span></legend>
                        <label for="show_header_first">
                          <input name="show_header_first" type="checkbox" id="show_header_first" value="Yes" <?php checked('Yes', get_option('show_header_first')); ?> />
                          Choose this option to show Topbar
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Top sidebar background</th>
                    <td>
                    <input type="color" name="top_sdb_background"  value="<?php echo get_option('top_sdb_background'); ?>"/> <?php echo get_option('top_sdb_background'); ?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Text color</th>
                    <td><input type="color" name="top_txt_color" value="<?php echo get_option('top_txt_color'); ?>"/> <?php echo get_option('top_txt_color'); ?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Top sidebar vertical padding</th>
                    <td><input type="text" name="logo_sdb_padding" value="<?php echo get_option('logo_sdb_padding'); ?>"/> px</td>
                  </tr>
                </table>
                <table class="form-table">
                  <tr valign="top">
                    <th scope="row"><h3>Page title bar</h3></th>
                    <td></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Background image</th>
                    <td><?php true_image_uploader_field('line_title_image', get_option('line_title_image'));?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Background color</th>
                    <td><input type="color" name="line_title_backcolor" value="<?php echo get_option('line_title_backcolor'); ?>"/> <?php echo get_option('line_title_backcolor'); ?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Text color</th>
                    <td><input type="color" name="line_title_textcolor" value="<?php echo get_option('line_title_textcolor'); ?>"/> <?php echo get_option('line_title_textcolor'); ?></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation
                        </span></legend>
                        <label for="animation_line_title">
                            <select name="animation_line_title" id="animation_line_title" style="width:200px;">
                            	<?php echo option_builder($animationlist, get_option('animation_line_title')); ?>
                            </select>
                          Animation
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr>
                    <th scope="row">Animation dellay </th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Animation dellay
                        </span></legend>
                        <label for="delay_line_title">
                            <select name="delay_line_title" id="delay_line_title" style="width:200px;">
                            	<?php echo option_builder($animationdelay, get_option('delay_line_title')); ?>
                            </select>
                          Animation (sec.)
                        </label>
                      </fieldset></td>
                  </tr>
                  
                  <tr>
                    <th scope="row"><h3>Breadcrumbs</h3></th>
                    <td></td>
                  </tr>
                  <tr>
                    <th scope="row">Enable Breadcrumbs</th>
                    <td><fieldset>
                        <legend class="screen-reader-text"><span>
                        Enable Breadcrumbs
                        </span></legend>
                        <label for="show_brealcrums_line">
                          <input name="show_brealcrums_line" type="checkbox" id="show_brealcrums_line" value="show" <?php checked('show', get_option('show_brealcrums_line')); ?> />
                          Choose this option to show Breadcrumbs
                        </label>
                      </fieldset></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Link color</th>
                    <td><input type="color" name="breadcrums_a_color" value="<?php echo get_option('breadcrums_a_color'); ?>"/> <?php echo get_option('breadcrums_a_color'); ?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Link hover color</th>
                    <td><input type="color" name="breadcrums_ahover_color" value="<?php echo get_option('breadcrums_ahover_color'); ?>"/> <?php echo get_option('breadcrums_ahover_color'); ?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Current page color</th>
                    <td><input type="color" name="breadcrums_ccurrent" value="<?php echo get_option('breadcrums_ccurrent'); ?>"/> <?php echo get_option('breadcrums_ccurrent'); ?></td>
                  </tr>
                  <tr valign="top">
                    <th scope="row">Other text color</th>
                    <td><input type="color" name="breadcrums_text" value="<?php echo get_option('breadcrums_text'); ?>"/> <?php echo get_option('breadcrums_text'); ?></td>
                  </tr>
                </table>
              </div>
              <div id="custom-option-footer">
                <table class="form-table">
                  <tr valign="top">
                    <th scope="row">Footer Copyright</th>
                    <td><input type="text" name="footer_copyright" value="<?php echo get_option('footer_copyright'); ?>" /></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Footer Background</th>
                    <td><input type="color" name="footer_backgroung" value="<?php echo get_option('footer_backgroung'); ?>"/> <?php echo get_option('footer_backgroung'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Footer Text Color</th>
                    <td><input type="color" name="footer_text_color" value="<?php echo get_option('footer_text_color'); ?>"/> <?php echo get_option('footer_text_color'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row"><h2>Widget area Setting</h2></th>
                    <td></td>
                  </tr>
                                  
                  <tr valign="top">
                    <th scope="row">Widget Area Background</th>
                    <td><input type="color" name="fwidgeteria_background" value="<?php echo get_option('fwidgeteria_background'); ?>"/> <?php echo get_option('fwidgeteria_background'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Text color</th>
                    <td><input type="color" name="fwidgeteria_color_text" value="<?php echo get_option('fwidgeteria_color_text'); ?>"/> <?php echo get_option('fwidgeteria_color_text'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">Link color</th>
                    <td><input type="color" name="fwidgeteria_color_links" value="<?php echo get_option('fwidgeteria_color_links'); ?>"/> <?php echo get_option('fwidgeteria_color_links'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">H3 color</th>
                    <td><input type="color" name="fwidgeteria_color_h3" value="<?php echo get_option('fwidgeteria_color_h3'); ?>"/> <?php echo get_option('fwidgeteria_color_h3'); ?></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">H4 color</th>
                    <td><input type="color" name="fwidgeteria_color_h4" value="<?php echo get_option('fwidgeteria_color_h4'); ?>"/> <?php echo get_option('fwidgeteria_color_h4'); ?></td>
                  </tr>
                  
                </table>
              </div>
              <div id="custom-option-faqs">
              <h1>Setup Assistant</h1>
                <?php include('faqs.php'); ?>
              </div>
              <div id="custom-option-demo">
                <table class="form-table">
                  <tr valign="top">
                    <th colspan="2" scope="row">Alphabet Theme provides demo content that can be downloaded just in a one click. You are able to choose one of demo content files or download all files - default posts, pages etc. (demo content), default admin settings (demo options) and default widget settings (demo widget).</th>
                  </tr>
                  <tr valign="top">
                    <th scope="row">demo content</th>
                    <td><input name="demo_content" type="button" value="demo_content" /></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">demo options</th>
                    <td><input name="demo_options" type="button" value="demo_options" /></td>
                  </tr>
                  
                  <tr valign="top">
                    <th scope="row">demo widgets</th>
                    <td><input name="demo_widgets" type="button" value="demo_widgets" /></td>
                  </tr>
                </table>
            </div>
            </div>
          </td>
        </tr>
      </table>
      <div class="footer-options">
        <input id="reset_abc" type="submit" style="background-color:#F03; float:left;" class="button-primary" value="Reset to Default" />
        <input type="submit" class="button-primary" value="Save Changes" />
      </div>
    </div>
  </form>
</div>
<?php				
}
