<?php
/*
Include Custom Widgets
*/
/*
class TextWidget extends WP_Widget
{
    public function __construct() {
        parent::__construct("text_widget", "Simple Text Widget",
            array("description" => "A simple widget to show how WP Plugins work"));
    }
	
	public function form($instance) {
		$title = "";
		$text = "";
		// если instance не пустой, достанем значения
		if (!empty($instance)) {
			$title = $instance["title"];
			$text = $instance["text"];
		}
	 
		$tableId = $this->get_field_id("title");
		$tableName = $this->get_field_name("title");
		echo '<label for="' . $tableId . '">Title</label><br>';
		echo '<input id="' . $tableId . '" type="text" name="' .
		$tableName . '" value="' . $title . '"><br>';
	 
		$textId = $this->get_field_id("text");
		$textName = $this->get_field_name("text");
		echo '<label for="' . $textId . '">Text</label><br>';
		echo '<textarea id="' . $textId . '" name="' . $textName .
		'">' . $text . '</textarea>';
	}
	
	public function update($newInstance, $oldInstance) {
		$values = array();
		$values["title"] = htmlentities($newInstance["title"]);
		$values["text"] = htmlentities($newInstance["text"]);
		return $values;
	}
	
	public function widget($args, $instance) {
		$title = $instance["title"];
		$text = $instance["text"];
query_posts('showposts=3');

$output .= '<ul class="recent_post">'; 
while (have_posts()) : the_post(); 
$output .= '<li><div class="hex_60">'.get_the_post_thumbnail(get_the_ID(),array(58,58)).'<img src="'.esc_url( get_template_directory_uri() ).'/img/hex_60.png" width="68" height="59" class="hex60_border" /></div><a href="'.get_the_permalink().'">'.get_the_title().'</a>'.get_the_date( 'j F Y', get_the_ID() ).'<div class="clear_fix"></div></li>'; 
endwhile;
$output .= '</ul>';

		echo "<h3>$title</h3>";
		echo $output;
	}
}

function register_textwidget() { register_widget("TextWidget"); }
add_action("widgets_init", 'register_textwidget');

*/
/*
Include Custom Widgets SOCIAL LINK
*/

class Social_Follow_Widget extends WP_Widget
{
    public function __construct() {
        parent::__construct("social_follow_widget", "Social Follow us",
            array("description" => "A simple widget to follow link social"));
    }
	
	public function form($instance) {
		$title = "";
		$textcolor = "";
		$hexagon = "";
		// если instance не пустой, достанем значения
		if (!empty($instance)) {
			$title = $instance["title"];
			$textcolor = $instance["textcolor"];
			$hexagon = $instance["hexagon"];
			
			$activate_facebook = $instance["activate_facebook"];
			$activate_twitter = $instance["activate_twitter"];
			$activate_google_plus = $instance["activate_google_plus"];
			$activate_vkontakte = $instance["activate_vkontakte"];
			$activate_mailru = $instance["activate_mailru"];
			$activate_odnoklassniki = $instance["activate_odnoklassniki"];
			$activate_linkedin = $instance["activate_linkedin"];
			$activate_livejournal = $instance["activate_livejournal"];
			$activate_tumblr = $instance["activate_tumblr"];
		}
	 
		$tableId = $this->get_field_id("title");
		$tableName = $this->get_field_name("title");
		echo '<label for="' . $tableId . '">Title</label><br>';
		echo '<input id="' . $tableId . '" type="text" name="' . $tableName . '" value="' . $title . '"><br>';

		$tableId = $this->get_field_id("textcolor");
		$tableName = $this->get_field_name("textcolor");
		echo '<label for="' . $tableId . '">Icon color</label><br>';
		echo '<input id="' . $tableId . '" type="color" name="' . $tableName . '" value="' . $textcolor . '"><br>';	
		
		$tableId = $this->get_field_id("hexagon");
		$tableName = $this->get_field_name("hexagon");
		echo '<label for="' . $tableId . '">Hexagon form (on/off)</label><br>';
		echo '<input name="' . $tableName . '" type="checkbox" id="' . $tableId . '" value="enable" '; ?> <?php checked('enable', $hexagon); ?> <?php echo ' /><br>';	
	 
		echo '<h3>Enable social link:</h3>';
		
		$tableId = $this->get_field_id("activate_facebook");
		$tableName = $this->get_field_name("activate_facebook");
		echo '<label for="' . $tableId . '">Facebook (on/off)</label><br>';
		echo '<input name="' . $tableName . '" type="checkbox" id="' . $tableId . '" value="enable" '; ?> <?php checked('enable', $activate_facebook); ?> <?php echo ' /><br>';
		
		$tableId = $this->get_field_id("activate_twitter");
		$tableName = $this->get_field_name("activate_twitter");
		echo '<label for="' . $tableId . '">Twitter (on/off)</label><br>';
		echo '<input name="' . $tableName . '" type="checkbox" id="' . $tableId . '" value="enable" '; ?> <?php checked('enable', $activate_twitter); ?> <?php echo ' /><br>';

		$tableId = $this->get_field_id("activate_google_plus");
		$tableName = $this->get_field_name("activate_google_plus");
		echo '<label for="' . $tableId . '">Google_plus (on/off)</label><br>';
		echo '<input name="' . $tableName . '" type="checkbox" id="' . $tableId . '" value="enable" '; ?> <?php checked('enable', $activate_google_plus); ?> <?php echo ' /><br>';

		$tableId = $this->get_field_id("activate_vkontakte");
		$tableName = $this->get_field_name("activate_vkontakte");
		echo '<label for="' . $tableId . '">Vkontakte (on/off)</label><br>';
		echo '<input name="' . $tableName . '" type="checkbox" id="' . $tableId . '" value="enable" '; ?> <?php checked('enable', $activate_vkontakte); ?> <?php echo ' /><br>';

		$tableId = $this->get_field_id("activate_mailru");
		$tableName = $this->get_field_name("activate_mailru");
		echo '<label for="' . $tableId . '">Mailru (on/off)</label><br>';
		echo '<input name="' . $tableName . '" type="checkbox" id="' . $tableId . '" value="enable" '; ?> <?php checked('enable', $activate_mailru); ?> <?php echo ' /><br>';

		$tableId = $this->get_field_id("activate_odnoklassniki");
		$tableName = $this->get_field_name("activate_odnoklassniki");
		echo '<label for="' . $tableId . '">Odnoklassniki (on/off)</label><br>';
		echo '<input name="' . $tableName . '" type="checkbox" id="' . $tableId . '" value="enable" '; ?> <?php checked('enable', $activate_odnoklassniki); ?> <?php echo ' /><br>';

		$tableId = $this->get_field_id("activate_linkedin");
		$tableName = $this->get_field_name("activate_linkedin");
		echo '<label for="' . $tableId . '">Linkedin (on/off)</label><br>';
		echo '<input name="' . $tableName . '" type="checkbox" id="' . $tableId . '" value="enable" '; ?> <?php checked('enable', $activate_linkedin); ?> <?php echo ' /><br>';

		$tableId = $this->get_field_id("activate_livejournal");
		$tableName = $this->get_field_name("activate_livejournal");
		echo '<label for="' . $tableId . '">Livejournal (on/off)</label><br>';
		echo '<input name="' . $tableName . '" type="checkbox" id="' . $tableId . '" value="enable" '; ?> <?php checked('enable', $activate_livejournal); ?> <?php echo ' /><br>';

		$tableId = $this->get_field_id("activate_tumblr");
		$tableName = $this->get_field_name("activate_tumblr");
		echo '<label for="' . $tableId . '">Tumblr (on/off)</label><br>';
		echo '<input name="' . $tableName . '" type="checkbox" id="' . $tableId . '" value="enable" '; ?> <?php checked('enable', $activate_tumblr); ?> <?php echo ' /><br>';
		
	}
	
	public function update($newInstance, $oldInstance) {
		$values = array();
		$values["title"] = htmlentities($newInstance["title"]);
		$values["textcolor"] = htmlentities($newInstance["textcolor"]);
		$values["hexagon"] = htmlentities($newInstance["hexagon"]);
		
		$values["activate_facebook"] = htmlentities($newInstance["activate_facebook"]);
		$values["activate_twitter"] = htmlentities($newInstance["activate_twitter"]);
		$values["activate_google_plus"] = htmlentities($newInstance["activate_google_plus"]);
		$values["activate_vkontakte"] = htmlentities($newInstance["activate_vkontakte"]);
		$values["activate_mailru"] = htmlentities($newInstance["activate_mailru"]);
		$values["activate_odnoklassniki"] = htmlentities($newInstance["activate_odnoklassniki"]);
		$values["activate_linkedin"] = htmlentities($newInstance["activate_linkedin"]);
		$values["activate_livejournal"] = htmlentities($newInstance["activate_livejournal"]);
		$values["activate_tumblr"] = htmlentities($newInstance["activate_tumblr"]);
		return $values;
	}
	
	public function widget($args, $instance) {
		$title = $instance["title"];
		$textcolor = $instance["textcolor"];
		$hexagon = $instance["hexagon"];
		
		$activate_facebook = $instance["activate_facebook"];
		$activate_twitter = $instance["activate_twitter"];
		$activate_google_plus = $instance["activate_google_plus"];
		$activate_vkontakte = $instance["activate_vkontakte"];
		$activate_mailru = $instance["activate_mailru"];
		$activate_odnoklassniki = $instance["activate_odnoklassniki"];
		$activate_linkedin = $instance["activate_linkedin"];
		$activate_livejournal = $instance["activate_livejournal"];
		$activate_tumblr = $instance["activate_tumblr"];

		$output = '';
		if ( $hexagon == 'enable' ) { $hexagon_text = '<span class="icon-hex-solid-90"></span>'; } else { $hexagon_text = ''; }
		//if (get_option('social_link_facebook')) {$output .= '<a class="social_share_widget" data-type="fb" style="color:'.$textcolor.'">'.$hexagon_text.'<i class="fa fa-facebook"></i></a>';}  
		//if (get_option('social_link_twitter')) {$output .= '<a class="social_share_widget" data-type="tw" style="color:'.$textcolor.'">'.$hexagon_text.'<i class="fa fa-twitter"></i></a>';}  
		if ((get_option('social_link_facebook')) and ($activate_facebook)) {$output .= '<a href="'. get_option('social_link_facebook') .'" target="_blank" class="social_link_widget" data-type="tw" style="color:'.$textcolor.'">'.$hexagon_text.'<i class="fa fa-facebook"></i></a>';}
		if ((get_option('social_link_twitter')) and ($activate_twitter)) {$output .= '<a href="'. get_option('social_link_twitter') .'" target="_blank" class="social_link_widget" data-type="tw" style="color:'.$textcolor.'">'.$hexagon_text.'<i class="fa fa-twitter"></i></a>';}
		if ((get_option('social_link_google_plus')) and ($activate_google_plus)) {$output .= '<a href="'. get_option('social_link_google_plus') .'" target="_blank" class="social_link_widget" data-type="tw" style="color:'.$textcolor.'">'.$hexagon_text.'<i class="fa fa-google-plus"></i></a>';} 
		if ((get_option('social_link_vkontakte')) and ($activate_vkontakte)) {$output .= '<a href="'. get_option('social_link_vkontakte') .'" target="_blank" class="social_link_widget" data-type="tw" style="color:'.$textcolor.'">'.$hexagon_text.'<i class="fa fa-vk"></i></a>';}
		if ((get_option('social_link_mailru')) and ($activate_mailru)) {$output .= '<a href="'. get_option('social_link_mailru') .'" target="_blank" class="social_link_widget" data-type="tw" style="color:'.$textcolor.'">'.$hexagon_text.'<i class="fa fa-at"></i></a>';}
		if ((get_option('social_link_odnoklassniki')) and ($activate_odnoklassniki)) {$output .= '<a href="'. get_option('social_link_odnoklassniki') .'" target="_blank" class="social_link_widget" data-type="tw" style="color:'.$textcolor.'">'.$hexagon_text.'<i class="fa ">ok</i></a>';}
		if ((get_option('social_link_linkedin')) and ($activate_linkedin)) {$output .= '<a href="'. get_option('social_link_linkedin') .'" target="_blank" class="social_link_widget" data-type="tw" style="color:'.$textcolor.'">'.$hexagon_text.'<i class="fa fa-linkedin"></i></a>';}
		if ((get_option('social_link_livejournal')) and ($activate_livejournal)) {$output .= '<a href="'. get_option('social_link_livejournal') .'" target="_blank" class="social_link_widget" data-type="tw" style="color:'.$textcolor.'">'.$hexagon_text.'<i class="fa fa-pencil"></i></a>';}
		if ((get_option('social_link_tumblr')) and ($activate_tumblr)) {$output .= '<a href="'. get_option('social_link_tumblr') .'" target="_blank" class="social_link_widget" data-type="tw" style="color:'.$textcolor.'">'.$hexagon_text.'<i class="fa fa-tumblr"></i></a>';}
		

		
		echo "<li><h3>$title</h3>";
		echo $output.'</li>';
		
	}
}

function register_textwidget2() { register_widget("Social_Follow_Widget"); }
add_action("widgets_init", 'register_textwidget2');
