<?php
//---------------------------
//Add metaboxes Portfolio Options
//---------------------------
		add_action('add_meta_boxes', 'metabox_init_portfolio_options'); 
		add_action( 'save_post', 'save_metaboxes_portfolio_options' );
		
		/*initialize metabox*/
		function metabox_init_portfolio_options() { 
		add_meta_box('metabox_portfolio_options', 'Our Portfolio Options', 
		'inside_portfolio_options', 'portfolio_pages', 'advanced', 'default');
		} 
		
		/*content metabox*/
		function inside_portfolio_options() { 
		
		wp_nonce_field('metatest_action_portfolio_options', 'metatest_nonce_portfolio_options'); 
		
		echo '
		<p><em>Add shortcode </em><span style="font-size:18px; color:#3cb800">[portfolio_abc][/portfolio_abc]</span><em> on page of visibility block</em></p>
		<h2>Project Details</h2>
		<p>
			<label for="_company_team_appointment">Customer</label><br />
			<input type="text" name="_portfolio_abc_customer" id="_portfolio_abc_customer" style="width:100%" value="'.get_post_meta(get_the_ID(), '_portfolio_abc_customer', true).'">
		</p>
		<p>
			<label for="_company_team_appointment">Live demo</label><br />
			<input type="text" name="_portfolio_abc_livedemo" id="_portfolio_abc_livedemo" style="width:100%" value="'.get_post_meta(get_the_ID(), '_portfolio_abc_livedemo', true).'">
		</p>
		<p>&nbsp;</p>	
		'; 
		}
		
		/*save metabox*/
		function save_metaboxes_portfolio_options() { 
		
		// пришло ли поле наших данных? 
		if (isset($_POST['_portfolio_abc_customer'])) 
		{ } else { return; }
		
		// не происходит ли автосохранение? 
		if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) 
		return; 
		
		// не ревизию ли сохраняем? 
		if (wp_is_post_revision( get_the_ID() ) ) 
		return; 
		
		// проверка достоверности запроса 
		check_admin_referer('metatest_action_portfolio_options', 'metatest_nonce_portfolio_options'); 

		// коррекция данных 
		// запись 
		update_post_meta(get_the_ID(), '_portfolio_abc_customer', sanitize_text_field($_POST['_portfolio_abc_customer'])); 
		update_post_meta(get_the_ID(), '_portfolio_abc_livedemo', sanitize_text_field($_POST['_portfolio_abc_livedemo'])); 

		
		}
?>