<?php 
//---------------------------
//Add ShortCode Testimonials
//---------------------------
	// Хуки
	function true_add_mce_button_featured_big() {
		// проверяем права пользователя - может ли он редактировать посты и страницы
		if ( !current_user_can( 'edit_posts' ) && !current_user_can( 'edit_pages' ) ) {
			return; // если не может, то и кнопка ему не понадобится, в этом случае выходим из функции
		}
		// проверяем, включен ли визуальный редактор у пользователя в настройках (если нет, то и кнопку подключать незачем)
		if ( 'true' == get_user_option( 'rich_editing' ) ) {
			add_filter( 'mce_external_plugins', 'add_script_featured_big' );
			add_filter('mce_buttons_3', 'true_register_mce_featured_big');

		}
	}
	add_action('admin_head', 'true_add_mce_button_featured_big');
		 
		// В этом функции указываем ссылку на JavaScript-файл кнопки
		function add_script_featured_big( $plugin_array ) {
			$plugin_array['true_mce_button_featured_big'] = esc_url( get_template_directory_uri() )
 .'/includes/mce/featured_big_button.js'; // true_mce_button - идентификатор кнопки
			return $plugin_array;
		}
		 
		// Регистрируем кнопку в редакторе
		function true_register_mce_featured_big( $buttons ) {
			array_push( $buttons, 'true_mce_button_featured_big' ); // true_mce_button - идентификатор кнопки
			return $buttons;
		}


	
//---------------------------
//Add ShortCode item Slider
//---------------------------

	function featufed_big_block_cg($atts, $content='OUR FEATURED BLOCK') {
		
	$params = shortcode_atts( array( // в массиве укажите значения параметров по умолчанию
		'name' => 'Name Block',
		'icon' => '<i class="fa fa-male"></i>',
		'description' => 'description...',
		'backcolor' => '#3bc0c3',
		'link' => '#',
	), $atts );
			
		return '
<div data-animate="fadeInDown2 delay-0_5s animated" style="width:90%; margin:0 auto;" class="animation-screen fadeInDown2 delay-0_5s animated">
			
	<div class="box_style_01 wpb_blockquotes wpb_content_element " style="background-color:#edf1f2">
		<div class="icone_back_block01" style="color:#ffffff"><span class="icon-hex-solid-90"></span></div>	
		<div class="icone_form_in_block01"><span class="icon-hex-solid-90"></span></div>
		<div class="icone_form_block01" style="color:#3bc0c3"><span class="icon-hex-hole-90"></span></div>
		<div class="icone_block01">'.$params["icon"].'</div>
		<div class="content_block01">
			<h3>'.$params["name"].'</h3>
			<div>
			<p>'.$params["description"].'</p>
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			</div>
			<a href="'.$params["link"].'">Find out more</a>
		</div>
	</div>

		</div>
		';
	}
	add_myshortcode2( 'featufed_big_block_cg', 'featufed_big_block_cg' );
	add_myshortcode2( 'info-table_abc', 'featufed_big_block_cg' );
	
?>