<?php 
//---------------------------
//Add ShortCode Our Team
//---------------------------
	function portfolio_abc($atts, $content='') {
		$posts = get_posts( array(
			'numberposts'     => 100, // тоже самое что posts_per_page
			'offset'          => 0,
			'category'        => '',
			'orderby'         => 'post_date',
			'order'           => 'DESC',
			'include'         => '',
			'exclude'         => '',
			'meta_key'        => '',
			'meta_value'      => '',
			'post_type'       => 'portfolio_pages',
			'post_mime_type'  => '', // image, video, video/mp4
			'post_parent'     => '',
			'post_status'     => 'publish'
		) );

/*
		$script = "
			<script>
				(function($, undefined){ 		
				jQuery(document).ready(function(){
					var glide_spp = $('.activare_team_slider').glide({limiter_mobile: 1, limiter_tablet: 2, limiter_monitor: 3, slide_flip: true, autoplay: false, arrows: false, }).data('api_glide'); glide_spp.play()
				});
				} )( jQuery );
			</script>
		";
*/
$args = array(
	'orderby'       => 'id', 
	'order'         => 'ASC',
	'hide_empty'    => true, 
	'exclude'       => array(), 
	'exclude_tree'  => array(), 
	'include'       => array(),
	'number'        => '', 
	'fields'        => 'all', 
	'slug'          => '', 
	'parent'         => '',
	'hierarchical'  => true, 
	'child_of'      => 0, 
	'get'           => '', // ставим all чтобы получить все термины
	'name__like'    => '',
	'pad_counts'    => false, 
	'offset'        => '', 
	'search'        => '', 
	'cache_domain'  => 'core',
	'name'          => '', // str/arr поле name для получения термина по нему. C 4.2.
	'childless'     => false, // true не получит (пропустит) термины у которых есть дочерние термины. C 4.2.
); 

$myterms = get_terms( array( 'portfolio_category' ), $args );
// $myterms = get_terms( 'post_tag', $args );
		foreach( $myterms as $term ){
			$list_filter .= '<li>'.$term->name.'</li>';
		}	
		
		$script = "
			<script>
				(function($, undefined){ 		
					jQuery(document).ready(function(){
						$('.portfolio_abc_lister li').hover(
						   function(){ 
						   		$(this).find('.portfolio_abc_info').removeClass('fadeOut') 
						   		$(this).find('.portfolio_abc_info').show()
						   		$(this).find('.portfolio_abc_info').addClass('animated flipInX') 
							},
						   function(){ 
						   		$(this).find('.portfolio_abc_info').removeClass('flipInX') 
								$(this).find('.portfolio_abc_info').show()
								$(this).find('.portfolio_abc_info').addClass('fadeOut')
							}
					);
					
					$('.portfolio_abc_filter li').click(function(){
						$('.portfolio_abc_filter li').removeClass('active')
						$(this).addClass('active')
						
						var this_categor = $(this).text().replace(' ','_');
						
						$('.portfolio_abc_lister li').hide()
						$('.portfolio_abc_lister li').removeClass('animated flipInY') 
						
						$('.portfolio_abc_lister li.'+this_categor).show()
						$('.portfolio_abc_lister li.'+this_categor).addClass('animated flipInY') 
					});
					
				});
				} )( jQuery );
			</script>
		";
			
		foreach($posts as $post){
			//$output .= $post->ID.'+';
			
		$cur_terms = get_the_terms( $post->ID, 'portfolio_category' );
		
		$taxxx = 'All ';
if (is_array($cur_terms) || is_object($cur_terms))
{
		foreach($cur_terms as $cur_term){
			$taxxx .= str_replace(' ', '_', $cur_term->name).' ';
		}
}			
			

		$image_attributes = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'medium' );
		$background_preloader = 'style="background-image:url('. $image_attributes[0] .')"';
			$output .= '
			<li class="'.$taxxx.'">
				<a class="portfolio_abc_container" href="'.$post->guid.'">
					<div class="portfolio_abc_previev" '.$background_preloader.'></div>
					<div class="portfolio_abc_info">
						<h3>'.$post->post_title.'</h3>
						<p>'.get_post_meta($post->ID, '_portfolio_abc_customer', true).'</p>
						<span class="icon-hex-solid-90"></span>
						<i class="fa fa-arrow-right"></i>
					</div>
				</a>
			</li>
			';
		}
		return $script.'
		<div class="portfolio_abc">
			<h2>Welcome to Our Portfolio</h2>
			<p>'.$content.'</p>
		</div>
		
		<div class="portfolio_abc_output">
			<ul class="portfolio_abc_filter">
			<li class="active">All</li>
				'.$list_filter.'
			</ul>
			<div class="clear_fix"></div>
			<ul class="portfolio_abc_lister">'.$output.'</ul>
			<div class="clear_fix"></div>
		</div>
		
		<div class="portfolio_abc_nav">
			<div class="pf_abc_prev">prev</div>
			<div class="pf_abc_list">
				<span>1</span>
			</div>
			<div class="pf_abc_next">next</div>
			<div class="clear_fix"></div>
		</div>
		';
	}
	add_myshortcode2( 'portfolio_abc', 'portfolio_abc' );
?>