<?php 
//---------------------------
//Add ShortCode Slider
//---------------------------
function slider_cg($atts, $content='') {
		$posts = get_posts( array(
			'numberposts'     => 100, // тоже самое что posts_per_page
			'offset'          => 0,
			'category'        => '',
			'orderby'         => 'post_date',
			'order'           => 'DESC',
			'include'         => '',
			'exclude'         => '',
			'meta_key'        => '',
			'meta_value'      => '',
			'post_type'       => 'primary_slider',
			'post_mime_type'  => '', // image, video, video/mp4
			'post_parent'     => '',
			'post_status'     => 'publish'
		) );
		
		foreach($posts as $post){
			//$output .= $post->ID.'+';
			//if ( get_option( 'background_preloader' ) > 0 ) { 
				$image_attributes = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );
				$background_preloader = 'style="background-image:url('. $image_attributes[0] .')"';
			//} 
		
			$output .= '
			<li class="slide" '.$background_preloader.'>
				<div data-animate="bounceInLeft delay-1_5s animated" class="slige_gl_title animation-screen animated">'.$post->post_title.'</div><br />
				<div data-animate="bounceInRight delay-1_5s animated" class="slige_gl_description  animation-screen animated">'.get_post_meta($post->ID, '_slider_cg_description', true).'</div><br />
				<div data-animate="bounceInDown delay-1_5s animated" class="slige_gl_read_more animation-screen animated"><a href="'.get_post_meta($post->ID, '_slider_cg_readmorelink', true).'">'.get_post_meta($post->ID, '_slider_cg_readmoretext', true).'</a></div>
			</li>
			';
		}
		
		$script = "
			<script>
				(function($, undefined){ 		
				jQuery(document).ready(function(){
					var glide = $('.toppr_slider').glide({autoplay: 5000, arrows: true, arrowLeftClass: 'slider-arrowl-cg', arrowRightClass: 'slider-arrowr-cg', arrowRightText: '<i class=\"fa fa-arrow-right\"></i>', arrowLeftText: '<i class=\"fa fa-arrow-left\"></i>', }).data('api_glide');// glide.play();
				});
				} )( jQuery );
			</script>
		";
		
		return $script . '
		</div></div>
		<div class="slider toppr_slider"><ul class="slides">'.$output.'</ul></div>
		<div class="container"><div id="primary-content-output">
		';
}
add_myshortcode2( 'slider_cg', 'slider_cg' );
add_myshortcode2( 'primary_slider_abc', 'slider_cg' );
?>